Installing GD components

Hi All, I am trying to install RT rt-4.2.12 on CentOS 6.5 (64 bit) configuration goes with out any issue but when I try to do a make testdeps it gives me below error

SOME DEPENDENCIES WERE MISSING.
GD missing dependencies:
GD::Graph >= 1.47 …MISSING
GD …MISSING
GD::Text …MISSING

and when I try to install GD components I am getting below error, can some one tell me how to overcome this situation. I am doing below to install GD

perl -MCPAN -e’install “GD”’

Error

est Summary Report
t/GD.t (Wstat: 65280 Tests: 9 Failed: 9)
Failed tests: 1-9
Non-zero exit status: 255
Parse errors: Bad plan. You planned 11 tests but ran 9.
t/Polyline.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: Bad plan. You planned 1 tests but ran 0.
Files=2, Tests=9, 0 wallclock secs ( 0.05 usr 0.05 sys + 0.12 cusr 0.06 csys = 0.28 CPU)
Result: FAIL
Failed 2/2 test programs. 9/9 subtests failed.
LDS/GD-2.56.tar.gz
./Build test – NOT OK
//hint// to see the cpan-testers results for installing this module, try:
reports LDS/GD-2.56.tar.gz

How can I over come above situation?
Can I by pass force installation?
Will there be any issue?

Thanks and Best Regards

Asanka

Paste some more error info. I had this error and the solution was in the
detail. For me some GD system packages needed installing.On 21/09/2015 11:39, Asanka Gunasekera wrote:

Hi All, I am trying to install RT rt-4.2.12 on CentOS 6.5 (64 bit) configuration goes with out any issue but when I try to do a make testdeps it gives me below error

SOME DEPENDENCIES WERE MISSING.
GD missing dependencies:
GD::Graph >= 1.47 …MISSING
GD …MISSING
GD::Text …MISSING

and when I try to install GD components I am getting below error, can some one tell me how to overcome this situation. I am doing below to install GD

perl -MCPAN -e’install “GD”’

Error

est Summary Report

t/GD.t (Wstat: 65280 Tests: 9 Failed: 9)
Failed tests: 1-9
Non-zero exit status: 255
Parse errors: Bad plan. You planned 11 tests but ran 9.
t/Polyline.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: Bad plan. You planned 1 tests but ran 0.
Files=2, Tests=9, 0 wallclock secs ( 0.05 usr 0.05 sys + 0.12 cusr 0.06 csys = 0.28 CPU)
Result: FAIL
Failed 2/2 test programs. 9/9 subtests failed.
LDS/GD-2.56.tar.gz
./Build test – NOT OK
//hint// to see the cpan-testers results for installing this module, try:
reports LDS/GD-2.56.tar.gz

How can I over come above situation?
Can I by pass force installation?
Will there be any issue?

Thanks and Best Regards

Asanka

Kobus Bensch Trustpay Global LTD email signature Kobus Bensch
Senior Systems Administrator
Address: 22 & 24 | Frederick Sanger Road | Guildford | Surrey | GU2 7YD
DDI: 0207 871 3958
Tel: 0207 871 3890
Email: kobus.bensch@trustpayglobal.com
mailto:kobus.bensch@trustpayglobal.com

Trustpay Global Limited is an authorised Electronic Money Institution
regulated by the Financial Conduct Authority registration number 900043.
Company No 07427913 Registered in England and Wales with registered address
130 Wood Street, London, EC2V 6DL, United Kingdom.

For further details please visit our website at www.trustpayglobal.com.

The information in this email and any attachments are confidential and
remain the property of Trustpay Global Ltd unless agreed by contract. It is
intended solely for the person to whom or the entity to which it is
addressed. If you are not the intended recipient you may not use, disclose,
copy, distribute, print or rely on the content of this email or its
attachments. If this email has been received by you in error please advise
the sender and delete the email from your system. Trustpay Global Ltd does
not accept any liability for any personal view expressed in this message.

Hi Kobus, thanks for the reply I have installed some packages regarding to gd-devel, zlib.x86_64, zlib, freetype.x86_64, libgd and gdlib-config and below is the full output

[root@rt rt-4.2.12]# make testdeps
/usr/local/bin/perl ./sbin/rt-test-dependencies --verbose --with-Oracle --with-fastcgi
perl:
>=5.10.1(5.22.0) …found
users:
rt group (apache) …found
bin owner (root) …found
libs owner (root) …found
libs group (bin) …found
web owner (apache) …found
web group (apache) …found
CLI dependencies:
HTTP::Request::Common …found
Text::ParseWords …found
LWP …found
Term::ReadLine …found
Getopt::Long >= 2.24 …found
Term::ReadKey …found
CORE dependencies:
CGI >= 4 …found
HTML::Quoted …found
Log::Dispatch >= 2.30 …found
DateTime::Format::Natural >= 0.67 …found
Digest::base …found
File::Spec >= 0.8 …found
Email::Address::List >= 0.02 …found
Plack::Handler::Starlet …found
DBI >= 1.37 …found
Text::WikiFormat >= 0.76 …found
MIME::Entity >= 5.504 …found
Devel::GlobalDestruction …found
Digest::SHA …found
Regexp::Common …found
Text::Wrapper …found
Class::Accessor::Fast …found
LWP::Simple …found
HTML::RewriteAttributes >= 0.05 …found
Locale::Maketext >= 1.06 …found
Errno …found
Symbol::Global::Name >= 0.05 …found
Storable >= 2.08 …found
File::Glob …found
File::Temp >= 0.19 …found
Text::Password::Pronounceable …found
DBIx::SearchBuilder >= 1.65 …found
Net::CIDR …found
HTML::Mason >= 1.43 …found
Scalar::Util …found
Mail::Mailer >= 1.57 …found
DateTime::Locale >= 0.40 …found
Devel::StackTrace >= 1.19 …found
Crypt::Eksblowfish …found
CSS::Squish >= 0.06 …found
IPC::Run3 …found
Digest::MD5 >= 2.27 …found
Data::GUID …found
Sys::Syslog >= 0.16 …found
CGI::Emulate::PSGI …found
Regexp::IPv6 …found
CGI::PSGI >= 0.12 …found
UNIVERSAL::require …found
Module::Versions::Report >= 1.05 …found
HTTP::Message >= 6.0 …found
Apache::Session >= 1.53 …found
HTML::Scrubber >= 0.08 …found
Mail::Header >= 2.12 …found
Text::Template >= 1.44 …found
CGI::Cookie >= 1.20 …found
Locale::Maketext::Fuzzy >= 0.11 …found
Plack >= 1.0002 …found
Time::HiRes …found
HTML::FormatText::WithLinks >= 0.14 …found
HTML::FormatText::WithLinks::AndTables …found
HTML::Mason::PSGIHandler >= 0.52 …found
Email::Address >= 1.897 …found
Tree::Simple >= 1.04 …found
List::MoreUtils …found
HTML::Entities …found
File::ShareDir …found
Locale::Maketext::Lexicon >= 0.32 …found
DateTime >= 0.44 …found
Role::Basic >= 0.12 …found
Time::ParseDate …found
Regexp::Common::net::CIDR …found
Encode >= 2.64 …found
Date::Manip …found
Module::Refresh >= 0.03 …found
JSON …found
Text::Quoted >= 2.07 …found
XML::RSS >= 1.05 …found
DASHBOARDS dependencies:
URI::QueryParam …found
MIME::Types …found
URI >= 1.59 …found
FASTCGI dependencies:
FCGI::ProcManager …found
FCGI >= 0.74 …found
GD dependencies:
GD::Text …MISSING
GD::Graph >= 1.47 …MISSING
GD …MISSING
GPG dependencies:
File::Which …found
GnuPG::Interface …found
PerlIO::eol …found
GRAPHVIZ dependencies:
GraphViz …found
IPC::Run >= 0.90 …found
ICAL dependencies:
Data::ICal …found
MAILGATE dependencies:
Net::SSL …found
Mozilla::CA …found
Getopt::Long …found
Crypt::SSLeay …found
LWP::UserAgent >= 6.0 …found
Pod::Usage …found
LWP::Protocol::https …found
ORACLE dependencies:
DBD::Oracle …found
SMIME dependencies:
Crypt::X509 …found
File::Which …found
String::ShellQuote …found
USERLOGO dependencies:
Convert::Color …found

SOME DEPENDENCIES WERE MISSING.
GD missing dependencies:
GD::Graph >= 1.47 …MISSING
GD::Text …MISSING
GD …MISSING

Perl library path for /usr/local/bin/perl:
/usr/local/lib/perl5/site_perl/5.22.0/x86_64-linux
/usr/local/lib/perl5/site_perl/5.22.0
/usr/local/lib/perl5/5.22.0/x86_64-linux
/usr/local/lib/perl5/5.22.0
.
make: *** [testdeps] Error 1
[root@rt rt-4.2.12]#

Thanks and RegardsOn Mon, 21/9/15, Kobus Bensch kobus.bensch@trustpayglobal.com wrote:

Subject: Re: [rt-users] Installing GD components
To: rt-users@lists.bestpractical.com
Date: Monday, 21 September, 2015, 16:56

 Paste some more error info. I had this error and the

solution was in
the detail. For me some GD system packages needed
installing.

 On 21/09/2015 11:39, Asanka Gunasekera wrote:

 
 
   Hi All, I am trying to install RT rt-4.2.12 on

CentOS 6.5 (64 bit) configuration goes with out any issue
but when I try to do a make testdeps it gives me below error

SOME DEPENDENCIES WERE MISSING.
GD missing dependencies:
GD::Graph >= 1.47 …MISSING
GD …MISSING
GD::Text …MISSING

and when I try to install GD components I am getting below
error, can some one tell me how to overcome this situation.
I am doing below to install GD

perl -MCPAN -e’install “GD”’

Error

est Summary Report
t/GD.t (Wstat: 65280 Tests: 9 Failed: 9)
Failed tests: 1-9
Non-zero exit status: 255
Parse errors: Bad plan. You planned 11 tests but ran 9.
t/Polyline.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: Bad plan. You planned 1 tests but ran 0.
Files=2, Tests=9, 0 wallclock secs ( 0.05 usr 0.05 sys +
0.12 cusr 0.06 csys = 0.28 CPU)
Result: FAIL
Failed 2/2 test programs. 9/9 subtests failed.
LDS/GD-2.56.tar.gz
./Build test – NOT OK
//hint// to see the cpan-testers results for installing this
module, try:
reports LDS/GD-2.56.tar.gz

How can I over come above situation?
Can I by pass force installation?
Will there be any issue?

Thanks and Best Regards

Asanka

   Kobus Bensch Trustpay Global

LTD email signature
Kobus Bensch

   Senior Systems Administrator

   Address:  22 & 24 | Frederick Sanger Road |

Guildford | Surrey
| GU2 7YD

   DDI:  0207 871 3958

   Tel:  0207 871 3890

   Email:  kobus.bensch@trustpayglobal.com

Trustpay Global Limited is an
authorised Electronic Money Institution regulated by the
Financial Conduct Authority registration number 900043.
Company No 07427913 Registered in England and Wales with
registered address 130 Wood Street, London, EC2V 6DL, United
Kingdom.For further details please visit our
website at www.trustpayglobal.com.The information in this email and
any attachments are confidential and remain the property of
Trustpay Global Ltd unless agreed by contract. It is
intended solely for the person to whom or the entity to
which it is addressed. If you are not the intended recipient
you may not use, disclose, copy, distribute, print or rely
on the content of this email or its attachments. If this
email has been received by you in error please advise the
sender and delete the email from your system. Trustpay
Global Ltd does not accept any liability for any personal
view expressed in this
message.

Hi Kobus, I can see GD.so under /usr/lib64/perl5/auto/GD/GD.so after using yum to install the GD module. Why is compiler unable to file this GD.so? And compiler only look in to the directories

Perl library path for /usr/local/bin/perl:
/usr/local/lib/perl5/site_perl/5.22.0/x86_64-linux
/usr/local/lib/perl5/site_perl/5.22.0
/usr/local/lib/perl5/5.22.0/x86_64-linux
/usr/local/lib/perl5/5.22.0

Do I need to link or do some sort of registration

Thanks and RegardsSubject: Re: [rt-users] Installing GD components
To: rt-users@lists.bestpractical.com, “Kobus Bensch” kobus.bensch@trustpayglobal.com
Date: Monday, 21 September, 2015, 17:03

Hi Kobus, thanks for the
reply I have installed some packages regarding to gd-devel,
zlib.x86_64, zlib, freetype.x86_64, libgd and gdlib-config
and below is the full output

[root@rt rt-4.2.12]# make
testdeps
/usr/local/bin/perl
./sbin/rt-test-dependencies --verbose --with-Oracle
–with-fastcgi
perl:

 >=5.10.1(5.22.0) ...found

users:
rt group (apache) …found
bin owner (root) …found
libs owner (root) …found
libs group (bin) …found
web owner (apache) …found
web group (apache) …found
CLI dependencies:

HTTP::Request::Common …found

Text::ParseWords …found
LWP
…found
Term::ReadLine
…found
Getopt::Long >= 2.24
…found
Term::ReadKey
…found
CORE dependencies:
CGI >= 4 …found
HTML::Quoted …found
Log::Dispatch >= 2.30
…found

DateTime::Format::Natural >= 0.67 …found
Digest::base …found
File::Spec >= 0.8 …found
Email::Address::List >= 0.02
…found
Plack::Handler::Starlet
…found
DBI >= 1.37
…found
Text::WikiFormat >=
0.76 …found
MIME::Entity >=
5.504 …found

Devel::GlobalDestruction …found

Digest::SHA …found

Regexp::Common …found

Text::Wrapper …found

Date::Extract >= 0.02 …found

Class::Accessor::Fast …found

LWP::Simple …found

HTML::RewriteAttributes >= 0.05 …found
Locale::Maketext >= 1.06
…found
Errno …found
Symbol::Global::Name >= 0.05
…found
Storable >= 2.08
…found
File::Glob …found
File::Temp >= 0.19 …found
Text::Password::Pronounceable
…found
DBIx::SearchBuilder

= 1.65 …found
Net::CIDR
…found
HTML::Mason >= 1.43
…found
Scalar::Util
…found
Mail::Mailer >= 1.57
…found
DateTime::Locale >=
0.40 …found
Devel::StackTrace
= 1.19 …found

Crypt::Eksblowfish …found

CSS::Squish >= 0.06 …found

IPC::Run3 …found
Digest::MD5

= 2.27 …found
Data::GUID
…found
Sys::Syslog >= 0.16
…found
CGI::Emulate::PSGI
…found
Regexp::IPv6
…found
CGI::PSGI >= 0.12
…found
UNIVERSAL::require
…found

Module::Versions::Report >= 1.05 …found
HTTP::Message >= 6.0 …found
Apache::Session >= 1.53
…found
HTML::Scrubber >=
0.08 …found
Mail::Header >=
2.12 …found
Text::Template

= 1.44 …found
CGI::Cookie
= 1.20 …found

Locale::Maketext::Fuzzy >= 0.11 …found
Plack >= 1.0002 …found
Time::HiRes …found
HTML::FormatText::WithLinks >=
0.14 …found

HTML::FormatText::WithLinks::AndTables …found
HTML::Mason::PSGIHandler >= 0.52
…found
Email::Address >=
1.897 …found
Tree::Simple

= 1.04 …found

List::MoreUtils …found

HTML::Entities …found

File::ShareDir …found

Locale::Maketext::Lexicon >= 0.32 …found
DateTime >= 0.44 …found
Role::Basic >= 0.12 …found
Time::ParseDate …found
Regexp::Common::net::CIDR
…found
Encode >= 2.64
…found
Date::Manip …found
Module::Refresh >= 0.03
…found
JSON …found
Text::Quoted >= 2.07 …found
XML::RSS >= 1.05 …found
DASHBOARDS dependencies:

 URI::QueryParam ...found

MIME::Types …found
URI >=
1.59 …found
FASTCGI dependencies:
FCGI::ProcManager …found
FCGI >= 0.74 …found
GD dependencies:

GD::Text …MISSING
GD::Graph

= 1.47 …MISSING
GD
…MISSING
GPG dependencies:
File::Which …found
GnuPG::Interface …found
PerlIO::eol …found
GRAPHVIZ dependencies:

GraphViz …found
IPC::Run

= 0.90 …found
ICAL dependencies:
Data::ICal …found
MAILGATE dependencies:

Net::SSL …found
Mozilla::CA
…found
Getopt::Long
…found
Crypt::SSLeay
…found
LWP::UserAgent >=
6.0 …found
Pod::Usage
…found
LWP::Protocol::https
…found
ORACLE dependencies:
DBD::Oracle …found
SMIME dependencies:

Crypt::X509 …found
File::Which
…found
String::ShellQuote
…found
USERLOGO dependencies:
Convert::Color …found

SOME DEPENDENCIES WERE
MISSING.
GD missing dependencies:
GD::Graph >= 1.47 …MISSING
GD::Text …MISSING
GD …MISSING

Perl library path for /usr/local/bin/perl:

/usr/local/lib/perl5/site_perl/5.22.0/x86_64-linux
/usr/local/lib/perl5/site_perl/5.22.0

/usr/local/lib/perl5/5.22.0/x86_64-linux

/usr/local/lib/perl5/5.22.0
.
make: *** [testdeps] Error 1
[root@rt rt-4.2.12]#

Thanks and Regards

What happens when you try to install the module manually using CPAN?

Whats the output from that?On 21/09/2015 12:03, Asanka Gunasekera wrote:

Hi Kobus, thanks for the reply I have installed some packages regarding to gd-devel, zlib.x86_64, zlib, freetype.x86_64, libgd and gdlib-config and below is the full output

[root@rt rt-4.2.12]# make testdeps
/usr/local/bin/perl ./sbin/rt-test-dependencies --verbose --with-Oracle --with-fastcgi
perl:
>=5.10.1(5.22.0) …found
users:
rt group (apache) …found
bin owner (root) …found
libs owner (root) …found
libs group (bin) …found
web owner (apache) …found
web group (apache) …found
CLI dependencies:
HTTP::Request::Common …found
Text::ParseWords …found
LWP …found
Term::ReadLine …found
Getopt::Long >= 2.24 …found
Term::ReadKey …found
CORE dependencies:
CGI >= 4 …found
HTML::Quoted …found
Log::Dispatch >= 2.30 …found
DateTime::Format::Natural >= 0.67 …found
Digest::base …found
File::Spec >= 0.8 …found
Email::Address::List >= 0.02 …found
Plack::Handler::Starlet …found
DBI >= 1.37 …found
Text::WikiFormat >= 0.76 …found
MIME::Entity >= 5.504 …found
Devel::GlobalDestruction …found
Digest::SHA …found
Regexp::Common …found
Text::Wrapper …found
Date::Extract >= 0.02 …found
Class::Accessor::Fast …found
LWP::Simple …found
HTML::RewriteAttributes >= 0.05 …found
Locale::Maketext >= 1.06 …found
Errno …found
Symbol::Global::Name >= 0.05 …found
Storable >= 2.08 …found
File::Glob …found
File::Temp >= 0.19 …found
Text::Password::Pronounceable …found
DBIx::SearchBuilder >= 1.65 …found
Net::CIDR …found
HTML::Mason >= 1.43 …found
Scalar::Util …found
Mail::Mailer >= 1.57 …found
DateTime::Locale >= 0.40 …found
Devel::StackTrace >= 1.19 …found
Crypt::Eksblowfish …found
CSS::Squish >= 0.06 …found
IPC::Run3 …found
Digest::MD5 >= 2.27 …found
Data::GUID …found
Sys::Syslog >= 0.16 …found
CGI::Emulate::PSGI …found
Regexp::IPv6 …found
CGI::PSGI >= 0.12 …found
UNIVERSAL::require …found
Module::Versions::Report >= 1.05 …found
HTTP::Message >= 6.0 …found
Apache::Session >= 1.53 …found
HTML::Scrubber >= 0.08 …found
Mail::Header >= 2.12 …found
Text::Template >= 1.44 …found
CGI::Cookie >= 1.20 …found
Locale::Maketext::Fuzzy >= 0.11 …found
Plack >= 1.0002 …found
Time::HiRes …found
HTML::FormatText::WithLinks >= 0.14 …found
HTML::FormatText::WithLinks::AndTables …found
HTML::Mason::PSGIHandler >= 0.52 …found
Email::Address >= 1.897 …found
Tree::Simple >= 1.04 …found
List::MoreUtils …found
HTML::Entities …found
File::ShareDir …found
Locale::Maketext::Lexicon >= 0.32 …found
DateTime >= 0.44 …found
Role::Basic >= 0.12 …found
Time::ParseDate …found
Regexp::Common::net::CIDR …found
Encode >= 2.64 …found
Date::Manip …found
Module::Refresh >= 0.03 …found
JSON …found
Text::Quoted >= 2.07 …found
XML::RSS >= 1.05 …found
DASHBOARDS dependencies:
URI::QueryParam …found
MIME::Types …found
URI >= 1.59 …found
FASTCGI dependencies:
FCGI::ProcManager …found
FCGI >= 0.74 …found
GD dependencies:
GD::Text …MISSING
GD::Graph >= 1.47 …MISSING
GD …MISSING
GPG dependencies:
File::Which …found
GnuPG::Interface …found
PerlIO::eol …found
GRAPHVIZ dependencies:
GraphViz …found
IPC::Run >= 0.90 …found
ICAL dependencies:
Data::ICal …found
MAILGATE dependencies:
Net::SSL …found
Mozilla::CA …found
Getopt::Long …found
Crypt::SSLeay …found
LWP::UserAgent >= 6.0 …found
Pod::Usage …found
LWP::Protocol::https …found
ORACLE dependencies:
DBD::Oracle …found
SMIME dependencies:
Crypt::X509 …found
File::Which …found
String::ShellQuote …found
USERLOGO dependencies:
Convert::Color …found

SOME DEPENDENCIES WERE MISSING.
GD missing dependencies:
GD::Graph >= 1.47 …MISSING
GD::Text …MISSING
GD …MISSING

Perl library path for /usr/local/bin/perl:
/usr/local/lib/perl5/site_perl/5.22.0/x86_64-linux
/usr/local/lib/perl5/site_perl/5.22.0
/usr/local/lib/perl5/5.22.0/x86_64-linux
/usr/local/lib/perl5/5.22.0
.
make: *** [testdeps] Error 1
[root@rt rt-4.2.12]#

Thanks and Regards


On Mon, 21/9/15, Kobus Bensch kobus.bensch@trustpayglobal.com wrote:

Subject: Re: [rt-users] Installing GD components
To: rt-users@lists.bestpractical.com
Date: Monday, 21 September, 2015, 16:56

  Paste some more error info. I had this error and the

solution was in
the detail. For me some GD system packages needed
installing.

  On 21/09/2015 11:39, Asanka Gunasekera wrote:

  
  
    Hi All, I am trying to install RT rt-4.2.12 on

CentOS 6.5 (64 bit) configuration goes with out any issue
but when I try to do a make testdeps it gives me below error

SOME DEPENDENCIES WERE MISSING.
GD missing dependencies:
GD::Graph >= 1.47 …MISSING
GD …MISSING
GD::Text …MISSING

and when I try to install GD components I am getting below
error, can some one tell me how to overcome this situation.
I am doing below to install GD

perl -MCPAN -e’install “GD”’

Error

est Summary Report

t/GD.t (Wstat: 65280 Tests: 9 Failed: 9)
Failed tests: 1-9
Non-zero exit status: 255
Parse errors: Bad plan. You planned 11 tests but ran 9.
t/Polyline.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: Bad plan. You planned 1 tests but ran 0.
Files=2, Tests=9, 0 wallclock secs ( 0.05 usr 0.05 sys +
0.12 cusr 0.06 csys = 0.28 CPU)
Result: FAIL
Failed 2/2 test programs. 9/9 subtests failed.
LDS/GD-2.56.tar.gz
./Build test – NOT OK
//hint// to see the cpan-testers results for installing this
module, try:
reports LDS/GD-2.56.tar.gz

How can I over come above situation?
Can I by pass force installation?
Will there be any issue?

Thanks and Best Regards

Asanka

  --

    Kobus Bensch Trustpay Global

LTD email signature
Kobus Bensch

    Senior Systems Administrator

    Address:  22 & 24 | Frederick Sanger Road |

Guildford | Surrey
| GU2 7YD

    DDI:  0207 871 3958

    Tel:  0207 871 3890

    Email:  kobus.bensch@trustpayglobal.com

Trustpay Global Limited is an
authorised Electronic Money Institution regulated by the
Financial Conduct Authority registration number 900043.
Company No 07427913 Registered in England and Wales with
registered address 130 Wood Street, London, EC2V 6DL, United
Kingdom.For further details please visit our
website at www.trustpayglobal.com.The information in this email and
any attachments are confidential and remain the property of
Trustpay Global Ltd unless agreed by contract. It is
intended solely for the person to whom or the entity to
which it is addressed. If you are not the intended recipient
you may not use, disclose, copy, distribute, print or rely
on the content of this email or its attachments. If this
email has been received by you in error please advise the
sender and delete the email from your system. Trustpay
Global Ltd does not accept any liability for any personal
view expressed in this
message.

Kobus Bensch Trustpay Global LTD email signature Kobus Bensch
Senior Systems Administrator
Address: 22 & 24 | Frederick Sanger Road | Guildford | Surrey | GU2 7YD
DDI: 0207 871 3958
Tel: 0207 871 3890
Email: kobus.bensch@trustpayglobal.com
mailto:kobus.bensch@trustpayglobal.com

Trustpay Global Limited is an authorised Electronic Money Institution
regulated by the Financial Conduct Authority registration number 900043.
Company No 07427913 Registered in England and Wales with registered address
130 Wood Street, London, EC2V 6DL, United Kingdom.

For further details please visit our website at www.trustpayglobal.com.

The information in this email and any attachments are confidential and
remain the property of Trustpay Global Ltd unless agreed by contract. It is
intended solely for the person to whom or the entity to which it is
addressed. If you are not the intended recipient you may not use, disclose,
copy, distribute, print or rely on the content of this email or its
attachments. If this email has been received by you in error please advise
the sender and delete the email from your system. Trustpay Global Ltd does
not accept any liability for any personal view expressed in this message.

Hi Kobus below is the output

[root@rt rt-4.2.12]# perl -MCPAN -e’install “GD”'
Reading '/root/.cpan/Metadata’
Database was generated on Mon, 21 Sep 2015 03:53:40 GMT
Running install for module 'GD’
Checksum for /root/.cpan/sources/authors/id/L/LD/LDS/GD-2.56.tar.gz ok
Configuring L/LD/LDS/GD-2.56.tar.gz with Build.PL
Configuring for libgd version 2.0.34.
Checking for stray libgd header files…none found.

Included Features: GD_XPM GD_JPEG GD_FONTCONFIG GD_FREETYPE GD_PNG GD_GIF GD_GIFANIM GD_OPENPOLYGON GD_UNCLOSEDPOLY GD_ANIMGIF GD_FTCIRCLE VERSION_33
GD library used from: /usr
Created MYMETA.yml and MYMETA.json
Creating new ‘Build’ script for ‘GD’ version '2.56’
LDS/GD-2.56.tar.gz
/usr/local/bin/perl Build.PL – OK
Running Build for L/LD/LDS/GD-2.56.tar.gz
Building GD
Extracting Image.pm (with variable substitutions)
cc -I/usr/include -I/usr/local/lib/perl5/5.22.0/x86_64-linux/CORE -DVERSION=“2.56” -DXS_VERSION=“2.56” -fPIC -DHAVE_JPEG -DHAVE_FT -DHAVE_XPM -DHAVE_GIF -DHAVE_PNG -DHAVE_ANIMGIF -DVERSION_33 -DHAVE_UNCLOSEDPOLY -DHAVE_FONTCONFIG -DHAVE_FTCIRCLE -c -fPIC -fwrapv -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_FORTIFY_SOURCE=2 -fPIC -fPIC -fPIC -O2 -o lib/GD.o lib/GD.c
ExtUtils::Mkbootstrap::Mkbootstrap(‘blib/arch/auto/GD/GD.bs’)
cc -shared -O2 -L/usr/local/lib -fstack-protector -o blib/arch/auto/GD/GD.so lib/GD.o -L/usr/lib64 -L/usr/lib64 -L/usr/lib64 -L/usr/lib64 -lXpm -lX11 -ljpeg -lfontconfig -lfreetype -lpng12 -lz -lm -lgd
LDS/GD-2.56.tar.gz
./Build – OK
Running Build test
t/GD.t … 1/11

Failed test ‘use GD;’

at t/GD.t line 14.

Tried to use ‘GD’.

Error: Can’t load ‘/root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/arch/auto/GD/GD.so’ for module GD: libjpeg.so.9: cannot open shared object file: No such file or directory at /usr/local/lib/perl5/5.22.0/x86_64-linux/DynaLoader.pm line 193.

at t/GD.t line 14.

Compilation failed in require at t/GD.t line 14.

BEGIN failed–compilation aborted at t/GD.t line 14.

Failed test ‘use GD::Simple;’

at t/GD.t line 15.

Tried to use ‘GD::Simple’.

Error: Attempt to reload GD.pm aborted.

Compilation failed in require at /root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Simple.pm line 160.

BEGIN failed–compilation aborted at /root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Simple.pm line 160.

Compilation failed in require at t/GD.t line 15.

BEGIN failed–compilation aborted at t/GD.t line 15.

Testing using gd2 support.

Failed test 'unable to generate comparison image for test 1: Can’t locate object method “_new” via package “GD::Image” at /root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm line 83.

at t/GD.t line 246.

Failed test 'unable to generate comparison image for test 2: Can’t locate object method “_new” via package “GD::Image” at /root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm line 83.

at t/GD.t line 246.

Failed test 'unable to generate comparison image for test 3: Can’t locate object method “_new” via package “GD::Image” at /root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm line 83.

at t/GD.t line 246.

Failed test 'unable to generate comparison image for test 4: Can’t locate object method “_new” via package “GD::Image” at /root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm line 83.

at t/GD.t line 246.

Failed test 'unable to generate comparison image for test 5: Can’t locate object method “_new” via package “GD::Image” at /root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm line 83.

at t/GD.t line 246.

Failed test 'unable to generate comparison image for test 6: Can’t locate object method “_new” via package “GD::Image” at /root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm line 83.

at t/GD.t line 246.

Failed test 'unable to generate comparison image for test 7: Can’t locate object method “_new” via package “GD::Image” at /root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm line 83.

at t/GD.t line 246.

Can’t locate object method “_new” via package “GD::Image” at /root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm line 83.

Looks like you planned 11 tests but ran 9.

Looks like you failed 9 tests of 9 run.

Looks like your test exited with 255 just after 9.

t/GD.t … Dubious, test returned 255 (wstat 65280, 0xff00)
Failed 11/11 subtests
t/Polyline.t … Can’t load ‘/root/.cpan/build/GD-2.56-1_9WTm/blib/arch/auto/GD/GD.so’ for module GD: libjpeg.so.9: cannot open shared object file: No such file or directory at /usr/local/lib/perl5/5.22.0/x86_64-linux/DynaLoader.pm line 193.
at /root/.cpan/build/GD-2.56-1_9WTm/blib/lib/GD/Polyline.pm line 45.
Compilation failed in require at /root/.cpan/build/GD-2.56-1_9WTm/blib/lib/GD/Polyline.pm line 45.
BEGIN failed–compilation aborted at /root/.cpan/build/GD-2.56-1_9WTm/blib/lib/GD/Polyline.pm line 45.
Compilation failed in require at t/Polyline.t line 10.
BEGIN failed–compilation aborted at t/Polyline.t line 10.
t/Polyline.t … Dubious, test returned 2 (wstat 512, 0x200)
Failed 1/1 subtests

Test Summary Report
t/GD.t (Wstat: 65280 Tests: 9 Failed: 9)
Failed tests: 1-9
Non-zero exit status: 255
Parse errors: Bad plan. You planned 11 tests but ran 9.
t/Polyline.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: Bad plan. You planned 1 tests but ran 0.
Files=2, Tests=9, 0 wallclock secs ( 0.05 usr 0.04 sys + 0.14 cusr 0.04 csys = 0.27 CPU)
Result: FAIL
Failed 2/2 test programs. 9/9 subtests failed.
LDS/GD-2.56.tar.gz
./Build test – NOT OK
//hint// to see the cpan-testers results for installing this module, try:
reports LDS/GD-2.56.tar.gz
[root@rt rt-4.2.12]#

Thanks and RegardsSubject: Re: [rt-users] Installing GD components
To: rt-users@lists.bestpractical.com
Date: Monday, 21 September, 2015, 17:09

 What happens when you try to install the module manually

using CPAN?

 Whats the output from that?

 



 
 
   Hi Kobus, thanks for the reply I have installed

some packages regarding to gd-devel, zlib.x86_64, zlib,
freetype.x86_64, libgd and gdlib-config and below is the
full output

[root@rt rt-4.2.12]# make testdeps
/usr/local/bin/perl ./sbin/rt-test-dependencies --verbose
–with-Oracle --with-fastcgi
perl:
>=5.10.1(5.22.0) …found
users:
rt group (apache) …found
bin owner (root) …found
libs owner (root) …found
libs group (bin) …found
web owner (apache) …found
web group (apache) …found
CLI dependencies:
HTTP::Request::Common …found
Text::ParseWords …found
LWP …found
Term::ReadLine …found
Getopt::Long >= 2.24 …found
Term::ReadKey …found
CORE dependencies:
CGI >= 4 …found
HTML::Quoted …found
Log::Dispatch >= 2.30 …found
DateTime::Format::Natural >= 0.67 …found
Digest::base …found
File::Spec >= 0.8 …found
Email::Address::List >= 0.02 …found
Plack::Handler::Starlet …found
DBI >= 1.37 …found
Text::WikiFormat >= 0.76 …found
MIME::Entity >= 5.504 …found
Devel::GlobalDestruction …found
Digest::SHA …found
Regexp::Common …found
Text::Wrapper …found
Date::Extract >= 0.02 …found
Class::Accessor::Fast …found
LWP::Simple …found
HTML::RewriteAttributes >= 0.05 …found
Locale::Maketext >= 1.06 …found
Errno …found
Symbol::Global::Name >= 0.05 …found
Storable >= 2.08 …found
File::Glob …found
File::Temp >= 0.19 …found
Text::Password::Pronounceable …found
DBIx::SearchBuilder >= 1.65 …found
Net::CIDR …found
HTML::Mason >= 1.43 …found
Scalar::Util …found
Mail::Mailer >= 1.57 …found
DateTime::Locale >= 0.40 …found
Devel::StackTrace >= 1.19 …found
Crypt::Eksblowfish …found
CSS::Squish >= 0.06 …found
IPC::Run3 …found
Digest::MD5 >= 2.27 …found
Data::GUID …found
Sys::Syslog >= 0.16 …found
CGI::Emulate::PSGI …found
Regexp::IPv6 …found
CGI::PSGI >= 0.12 …found
UNIVERSAL::require …found
Module::Versions::Report >= 1.05 …found
HTTP::Message >= 6.0 …found
Apache::Session >= 1.53 …found
HTML::Scrubber >= 0.08 …found
Mail::Header >= 2.12 …found
Text::Template >= 1.44 …found
CGI::Cookie >= 1.20 …found
Locale::Maketext::Fuzzy >= 0.11 …found
Plack >= 1.0002 …found
Time::HiRes …found
HTML::FormatText::WithLinks >= 0.14 …found
HTML::FormatText::WithLinks::AndTables …found
HTML::Mason::PSGIHandler >= 0.52 …found
Email::Address >= 1.897 …found
Tree::Simple >= 1.04 …found
List::MoreUtils …found
HTML::Entities …found
File::ShareDir …found
Locale::Maketext::Lexicon >= 0.32 …found
DateTime >= 0.44 …found
Role::Basic >= 0.12 …found
Time::ParseDate …found
Regexp::Common::net::CIDR …found
Encode >= 2.64 …found
Date::Manip …found
Module::Refresh >= 0.03 …found
JSON …found
Text::Quoted >= 2.07 …found
XML::RSS >= 1.05 …found
DASHBOARDS dependencies:
URI::QueryParam …found
MIME::Types …found
URI >= 1.59 …found
FASTCGI dependencies:
FCGI::ProcManager …found
FCGI >= 0.74 …found
GD dependencies:
GD::Text …MISSING
GD::Graph >= 1.47 …MISSING
GD …MISSING
GPG dependencies:
File::Which …found
GnuPG::Interface …found
PerlIO::eol …found
GRAPHVIZ dependencies:
GraphViz …found
IPC::Run >= 0.90 …found
ICAL dependencies:
Data::ICal …found
MAILGATE dependencies:
Net::SSL …found
Mozilla::CA …found
Getopt::Long …found
Crypt::SSLeay …found
LWP::UserAgent >= 6.0 …found
Pod::Usage …found
LWP::Protocol::https …found
ORACLE dependencies:
DBD::Oracle …found
SMIME dependencies:
Crypt::X509 …found
File::Which …found
String::ShellQuote …found
USERLOGO dependencies:
Convert::Color …found

SOME DEPENDENCIES WERE MISSING.
GD missing dependencies:
GD::Graph >= 1.47 …MISSING
GD::Text …MISSING
GD …MISSING

Perl library path for /usr/local/bin/perl:
/usr/local/lib/perl5/site_perl/5.22.0/x86_64-linux
/usr/local/lib/perl5/site_perl/5.22.0
/usr/local/lib/perl5/5.22.0/x86_64-linux
/usr/local/lib/perl5/5.22.0
.
make: *** [testdeps] Error 1
[root@rt rt-4.2.12]#

Thanks and Regards

Hi Kobus below is the output

[root@rt rt-4.2.12]# perl -MCPAN -e’install “GD”'
Reading '/root/.cpan/Metadata’
Database was generated on Mon, 21 Sep 2015 03:53:40 GMT
Running install for module 'GD’
Checksum for /root/.cpan/sources/authors/id/L/LD/LDS/GD-2.56.tar.gz ok
Configuring L/LD/LDS/GD-2.56.tar.gz with Build.PL
Configuring for libgd version 2.0.34.
Checking for stray libgd header files…none found.

Included Features: GD_XPM GD_JPEG GD_FONTCONFIG GD_FREETYPE GD_PNG GD_GIF GD_GIFANIM GD_OPENPOLYGON GD_UNCLOSEDPOLY GD_ANIMGIF GD_FTCIRCLE VERSION_33
GD library used from: /usr
Created MYMETA.yml and MYMETA.json
Creating new ‘Build’ script for ‘GD’ version '2.56’
LDS/GD-2.56.tar.gz
/usr/local/bin/perl Build.PL – OK
Running Build for L/LD/LDS/GD-2.56.tar.gz
Building GD
Extracting Image.pm (with variable substitutions)
cc -I/usr/include -I/usr/local/lib/perl5/5.22.0/x86_64-linux/CORE -DVERSION=“2.56” -DXS_VERSION=“2.56” -fPIC -DHAVE_JPEG -DHAVE_FT -DHAVE_XPM -DHAVE_GIF -DHAVE_PNG -DHAVE_ANIMGIF -DVERSION_33 -DHAVE_UNCLOSEDPOLY -DHAVE_FONTCONFIG -DHAVE_FTCIRCLE -c -fPIC -fwrapv -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_FORTIFY_SOURCE=2 -fPIC -fPIC -fPIC -O2 -o lib/GD.o lib/GD.c
ExtUtils::Mkbootstrap::Mkbootstrap(‘blib/arch/auto/GD/GD.bs’)
cc -shared -O2 -L/usr/local/lib -fstack-protector -o blib/arch/auto/GD/GD.so lib/GD.o -L/usr/lib64 -L/usr/lib64 -L/usr/lib64 -L/usr/lib64 -lXpm -lX11 -ljpeg -lfontconfig -lfreetype -lpng12 -lz -lm -lgd
LDS/GD-2.56.tar.gz
./Build – OK
Running Build test
t/GD.t … 1/11

Failed test ‘use GD;’

at t/GD.t line 14.

Tried to use ‘GD’.

Error: Can’t load ‘/root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/arch/auto/GD/GD.so’ for module GD: libjpeg.so.9: cannot open shared object file: No such file or directory at /usr/local/lib/perl5/5.22.0/x86_64-linux/DynaLoader.pm line 193.

at t/GD.t line 14.

Compilation failed in require at t/GD.t line 14.

BEGIN failed–compilation aborted at t/GD.t line 14.

Failed test ‘use GD::Simple;’

at t/GD.t line 15.

Tried to use ‘GD::Simple’.

Error: Attempt to reload GD.pm aborted.

Compilation failed in require at /root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Simple.pm line 160.

BEGIN failed–compilation aborted at /root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Simple.pm line 160.

Compilation failed in require at t/GD.t line 15.

BEGIN failed–compilation aborted at t/GD.t line 15.

Testing using gd2 support.

Failed test 'unable to generate comparison image for test 1: Can’t locate object method “_new” via package “GD::Image” at /root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm line 83.

at t/GD.t line 246.

Failed test 'unable to generate comparison image for test 2: Can’t locate object method “_new” via package “GD::Image” at /root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm line 83.

at t/GD.t line 246.

Failed test 'unable to generate comparison image for test 3: Can’t locate object method “_new” via package “GD::Image” at /root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm line 83.

at t/GD.t line 246.

Failed test 'unable to generate comparison image for test 4: Can’t locate object method “_new” via package “GD::Image” at /root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm line 83.

at t/GD.t line 246.

Failed test 'unable to generate comparison image for test 5: Can’t locate object method “_new” via package “GD::Image” at /root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm line 83.

at t/GD.t line 246.

Failed test 'unable to generate comparison image for test 6: Can’t locate object method “_new” via package “GD::Image” at /root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm line 83.

at t/GD.t line 246.

Failed test 'unable to generate comparison image for test 7: Can’t locate object method “_new” via package “GD::Image” at /root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm line 83.

at t/GD.t line 246.

Can’t locate object method “_new” via package “GD::Image” at /root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm line 83.

Looks like you planned 11 tests but ran 9.

Looks like you failed 9 tests of 9 run.

Looks like your test exited with 255 just after 9.

t/GD.t … Dubious, test returned 255 (wstat 65280, 0xff00)
Failed 11/11 subtests
t/Polyline.t … Can’t load ‘/root/.cpan/build/GD-2.56-1_9WTm/blib/arch/auto/GD/GD.so’ for module GD: libjpeg.so.9: cannot open shared object file: No such file or directory at /usr/local/lib/perl5/5.22.0/x86_64-linux/DynaLoader.pm line 193.
at /root/.cpan/build/GD-2.56-1_9WTm/blib/lib/GD/Polyline.pm line 45.
Compilation failed in require at /root/.cpan/build/GD-2.56-1_9WTm/blib/lib/GD/Polyline.pm line 45.
BEGIN failed–compilation aborted at /root/.cpan/build/GD-2.56-1_9WTm/blib/lib/GD/Polyline.pm line 45.
Compilation failed in require at t/Polyline.t line 10.
BEGIN failed–compilation aborted at t/Polyline.t line 10.
t/Polyline.t … Dubious, test returned 2 (wstat 512, 0x200)
Failed 1/1 subtests

Test Summary Report
t/GD.t (Wstat: 65280 Tests: 9 Failed: 9)
Failed tests: 1-9
Non-zero exit status: 255
Parse errors: Bad plan. You planned 11 tests but ran 9.
t/Polyline.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: Bad plan. You planned 1 tests but ran 0.
Files=2, Tests=9, 0 wallclock secs ( 0.05 usr 0.04 sys + 0.14 cusr 0.04 csys = 0.27 CPU)
Result: FAIL
Failed 2/2 test programs. 9/9 subtests failed.
LDS/GD-2.56.tar.gz
./Build test – NOT OK
//hint// to see the cpan-testers results for installing this module, try:
reports LDS/GD-2.56.tar.gz
[root@rt rt-4.2.12]#

Thanks and RegardsSubject: Re: [rt-users] Installing GD components
To: rt-users@lists.bestpractical.com
Date: Monday, 21 September, 2015, 17:09

 What happens when you try to install the module manually

using CPAN?

 Whats the output from that?

 



 
 
   Hi Kobus, thanks for the reply I have installed

some packages regarding to gd-devel, zlib.x86_64, zlib,
freetype.x86_64, libgd and gdlib-config and below is the
full output

[root@rt rt-4.2.12]# make testdeps
/usr/local/bin/perl ./sbin/rt-test-dependencies --verbose
–with-Oracle --with-fastcgi
perl:
>=5.10.1(5.22.0) …found
users:
rt group (apache) …found
bin owner (root) …found
libs owner (root) …found
libs group (bin) …found
web owner (apache) …found
web group (apache) …found
CLI dependencies:
HTTP::Request::Common …found
Text::ParseWords …found
LWP …found
Term::ReadLine …found
Getopt::Long >= 2.24 …found
Term::ReadKey …found
CORE dependencies:
CGI >= 4 …found
HTML::Quoted …found
Log::Dispatch >= 2.30 …found
DateTime::Format::Natural >= 0.67 …found
Digest::base …found
File::Spec >= 0.8 …found
Email::Address::List >= 0.02 …found
Plack::Handler::Starlet …found
DBI >= 1.37 …found
Text::WikiFormat >= 0.76 …found
MIME::Entity >= 5.504 …found
Devel::GlobalDestruction …found
Digest::SHA …found
Regexp::Common …found
Text::Wrapper …found
Date::Extract >= 0.02 …found
Class::Accessor::Fast …found
LWP::Simple …found
HTML::RewriteAttributes >= 0.05 …found
Locale::Maketext >= 1.06 …found
Errno …found
Symbol::Global::Name >= 0.05 …found
Storable >= 2.08 …found
File::Glob …found
File::Temp >= 0.19 …found
Text::Password::Pronounceable …found
DBIx::SearchBuilder >= 1.65 …found
Net::CIDR …found
HTML::Mason >= 1.43 …found
Scalar::Util …found
Mail::Mailer >= 1.57 …found
DateTime::Locale >= 0.40 …found
Devel::StackTrace >= 1.19 …found
Crypt::Eksblowfish …found
CSS::Squish >= 0.06 …found
IPC::Run3 …found
Digest::MD5 >= 2.27 …found
Data::GUID …found
Sys::Syslog >= 0.16 …found
CGI::Emulate::PSGI …found
Regexp::IPv6 …found
CGI::PSGI >= 0.12 …found
UNIVERSAL::require …found
Module::Versions::Report >= 1.05 …found
HTTP::Message >= 6.0 …found
Apache::Session >= 1.53 …found
HTML::Scrubber >= 0.08 …found
Mail::Header >= 2.12 …found
Text::Template >= 1.44 …found
CGI::Cookie >= 1.20 …found
Locale::Maketext::Fuzzy >= 0.11 …found
Plack >= 1.0002 …found
Time::HiRes …found
HTML::FormatText::WithLinks >= 0.14 …found
HTML::FormatText::WithLinks::AndTables …found
HTML::Mason::PSGIHandler >= 0.52 …found
Email::Address >= 1.897 …found
Tree::Simple >= 1.04 …found
List::MoreUtils …found
HTML::Entities …found
File::ShareDir …found
Locale::Maketext::Lexicon >= 0.32 …found
DateTime >= 0.44 …found
Role::Basic >= 0.12 …found
Time::ParseDate …found
Regexp::Common::net::CIDR …found
Encode >= 2.64 …found
Date::Manip …found
Module::Refresh >= 0.03 …found
JSON …found
Text::Quoted >= 2.07 …found
XML::RSS >= 1.05 …found
DASHBOARDS dependencies:
URI::QueryParam …found
MIME::Types …found
URI >= 1.59 …found
FASTCGI dependencies:
FCGI::ProcManager …found
FCGI >= 0.74 …found
GD dependencies:
GD::Text …MISSING
GD::Graph >= 1.47 …MISSING
GD …MISSING
GPG dependencies:
File::Which …found
GnuPG::Interface …found
PerlIO::eol …found
GRAPHVIZ dependencies:
GraphViz …found
IPC::Run >= 0.90 …found
ICAL dependencies:
Data::ICal …found
MAILGATE dependencies:
Net::SSL …found
Mozilla::CA …found
Getopt::Long …found
Crypt::SSLeay …found
LWP::UserAgent >= 6.0 …found
Pod::Usage …found
LWP::Protocol::https …found
ORACLE dependencies:
DBD::Oracle …found
SMIME dependencies:
Crypt::X509 …found
File::Which …found
String::ShellQuote …found
USERLOGO dependencies:
Convert::Color …found

SOME DEPENDENCIES WERE MISSING.
GD missing dependencies:
GD::Graph >= 1.47 …MISSING
GD::Text …MISSING
GD …MISSING

Perl library path for /usr/local/bin/perl:
/usr/local/lib/perl5/site_perl/5.22.0/x86_64-linux
/usr/local/lib/perl5/site_perl/5.22.0
/usr/local/lib/perl5/5.22.0/x86_64-linux
/usr/local/lib/perl5/5.22.0
.
make: *** [testdeps] Error 1
[root@rt rt-4.2.12]#

Thanks and Regards

This is the problem

Error: Can’t load ‘/root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/arch/auto/GD/GD.so’ for module GD: libjpeg.so.9: cannot open shared object file: No such file or directory at /usr/local/lib/perl5/5.22.0/x86_64-linux/DynaLoader.pm line 193.

Particularly libjpeg.so.9: cannot open shared object file

When I do sudo yum whatprovides “*/libjpeg.so” on centos6 I get a few options. If it was me, I would install libjpeg-turbo-devel-1.2.1-3.el6_5.x86_64 via yum, but this is also with the information I have at hand. Please proceed carefully.

libjpeg-turbo-devel-1.2.1-3.el6_5.i686 : Headers for the libjpeg-turbo library
Repo : base
Matched from:
Filename : /usr/lib/libjpeg.so

1:java-1.6.0-openjdk-1.6.0.35-1.13.7.1.el6_6.x86_64 : OpenJDK Runtime Environment
Repo : base
Matched from:
Filename : /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.35.x86_64/jre/lib/amd64/libjpeg.so

libjpeg-turbo-devel-1.2.1-3.el6_5.x86_64 : Headers for the libjpeg-turbo library
Repo : base
Matched from:
Filename : /usr/lib64/libjpeg.so

1:java-1.6.0-openjdk-1.6.0.36-1.13.8.1.el6_7.x86_64 : OpenJDK Runtime Environment
Repo : updates
Matched from:
Filename : /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.36.x86_64/jre/lib/amd64/libjpeg.so

1:java-1.6.0-openjdk-1.6.0.35-1.13.7.1.el6_6.x86_64 : OpenJDK Runtime Environment
Repo : installed
Matched from:
Filename : /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.35.x86_64/jre/lib/amd64/libjpeg.soOn 21/09/2015 16:44, Asanka Gunasekera wrote:

Hi Kobus below is the output

[root@rt rt-4.2.12]# perl -MCPAN -e’install “GD”'
Reading '/root/.cpan/Metadata’
Database was generated on Mon, 21 Sep 2015 03:53:40 GMT
Running install for module 'GD’
Checksum for /root/.cpan/sources/authors/id/L/LD/LDS/GD-2.56.tar.gz ok
Configuring L/LD/LDS/GD-2.56.tar.gz with Build.PL
Configuring for libgd version 2.0.34.
Checking for stray libgd header files…none found.

Included Features: GD_XPM GD_JPEG GD_FONTCONFIG GD_FREETYPE GD_PNG GD_GIF GD_GIFANIM GD_OPENPOLYGON GD_UNCLOSEDPOLY GD_ANIMGIF GD_FTCIRCLE VERSION_33
GD library used from: /usr
Created MYMETA.yml and MYMETA.json
Creating new ‘Build’ script for ‘GD’ version '2.56’
LDS/GD-2.56.tar.gz
/usr/local/bin/perl Build.PL – OK
Running Build for L/LD/LDS/GD-2.56.tar.gz
Building GD
Extracting Image.pm (with variable substitutions)
cc -I/usr/include -I/usr/local/lib/perl5/5.22.0/x86_64-linux/CORE -DVERSION=“2.56” -DXS_VERSION=“2.56” -fPIC -DHAVE_JPEG -DHAVE_FT -DHAVE_XPM -DHAVE_GIF -DHAVE_PNG -DHAVE_ANIMGIF -DVERSION_33 -DHAVE_UNCLOSEDPOLY -DHAVE_FONTCONFIG -DHAVE_FTCIRCLE -c -fPIC -fwrapv -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_FORTIFY_SOURCE=2 -fPIC -fPIC -fPIC -O2 -o lib/GD.o lib/GD.c
ExtUtils::Mkbootstrap::Mkbootstrap(‘blib/arch/auto/GD/GD.bs’)
cc -shared -O2 -L/usr/local/lib -fstack-protector -o blib/arch/auto/GD/GD.so lib/GD.o -L/usr/lib64 -L/usr/lib64 -L/usr/lib64 -L/usr/lib64 -lXpm -lX11 -ljpeg -lfontconfig -lfreetype -lpng12 -lz -lm -lgd
LDS/GD-2.56.tar.gz
./Build – OK
Running Build test
t/GD.t … 1/11

Failed test ‘use GD;’

at t/GD.t line 14.

Tried to use ‘GD’.

Error: Can’t load ‘/root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/arch/auto/GD/GD.so’ for module GD: libjpeg.so.9: cannot open shared object file: No such file or directory at /usr/local/lib/perl5/5.22.0/x86_64-linux/DynaLoader.pm line 193.

at t/GD.t line 14.

Compilation failed in require at t/GD.t line 14.

BEGIN failed–compilation aborted at t/GD.t line 14.

Failed test ‘use GD::Simple;’

at t/GD.t line 15.

Tried to use ‘GD::Simple’.

Error: Attempt to reload GD.pm aborted.

Compilation failed in require at /root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Simple.pm line 160.

BEGIN failed–compilation aborted at /root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Simple.pm line 160.

Compilation failed in require at t/GD.t line 15.

BEGIN failed–compilation aborted at t/GD.t line 15.

Testing using gd2 support.

Failed test 'unable to generate comparison image for test 1: Can’t locate object method “_new” via package “GD::Image” at /root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm line 83.

at t/GD.t line 246.

Failed test 'unable to generate comparison image for test 2: Can’t locate object method “_new” via package “GD::Image” at /root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm line 83.

at t/GD.t line 246.

Failed test 'unable to generate comparison image for test 3: Can’t locate object method “_new” via package “GD::Image” at /root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm line 83.

at t/GD.t line 246.

Failed test 'unable to generate comparison image for test 4: Can’t locate object method “_new” via package “GD::Image” at /root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm line 83.

at t/GD.t line 246.

Failed test 'unable to generate comparison image for test 5: Can’t locate object method “_new” via package “GD::Image” at /root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm line 83.

at t/GD.t line 246.

Failed test 'unable to generate comparison image for test 6: Can’t locate object method “_new” via package “GD::Image” at /root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm line 83.

at t/GD.t line 246.

Failed test 'unable to generate comparison image for test 7: Can’t locate object method “_new” via package “GD::Image” at /root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm line 83.

at t/GD.t line 246.

Can’t locate object method “_new” via package “GD::Image” at /root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm line 83.

Looks like you planned 11 tests but ran 9.

Looks like you failed 9 tests of 9 run.

Looks like your test exited with 255 just after 9.

t/GD.t … Dubious, test returned 255 (wstat 65280, 0xff00)
Failed 11/11 subtests
t/Polyline.t … Can’t load ‘/root/.cpan/build/GD-2.56-1_9WTm/blib/arch/auto/GD/GD.so’ for module GD: libjpeg.so.9: cannot open shared object file: No such file or directory at /usr/local/lib/perl5/5.22.0/x86_64-linux/DynaLoader.pm line 193.
at /root/.cpan/build/GD-2.56-1_9WTm/blib/lib/GD/Polyline.pm line 45.
Compilation failed in require at /root/.cpan/build/GD-2.56-1_9WTm/blib/lib/GD/Polyline.pm line 45.
BEGIN failed–compilation aborted at /root/.cpan/build/GD-2.56-1_9WTm/blib/lib/GD/Polyline.pm line 45.
Compilation failed in require at t/Polyline.t line 10.
BEGIN failed–compilation aborted at t/Polyline.t line 10.
t/Polyline.t … Dubious, test returned 2 (wstat 512, 0x200)
Failed 1/1 subtests

Test Summary Report

t/GD.t (Wstat: 65280 Tests: 9 Failed: 9)
Failed tests: 1-9
Non-zero exit status: 255
Parse errors: Bad plan. You planned 11 tests but ran 9.
t/Polyline.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: Bad plan. You planned 1 tests but ran 0.
Files=2, Tests=9, 0 wallclock secs ( 0.05 usr 0.04 sys + 0.14 cusr 0.04 csys = 0.27 CPU)
Result: FAIL
Failed 2/2 test programs. 9/9 subtests failed.
LDS/GD-2.56.tar.gz
./Build test – NOT OK
//hint// to see the cpan-testers results for installing this module, try:
reports LDS/GD-2.56.tar.gz
[root@rt rt-4.2.12]#

Thanks and Regards


On Mon, 21/9/15, Kobus Bensch kobus.bensch@trustpayglobal.com wrote:

Subject: Re: [rt-users] Installing GD components
To: rt-users@lists.bestpractical.com
Date: Monday, 21 September, 2015, 17:09

  What happens when you try to install the module manually

using CPAN?

  Whats the output from that?

  

  On 21/09/2015 12:03, Asanka Gunasekera wrote:

  
  
    Hi Kobus, thanks for the reply I have installed

some packages regarding to gd-devel, zlib.x86_64, zlib,
freetype.x86_64, libgd and gdlib-config and below is the
full output

[root@rt rt-4.2.12]# make testdeps
/usr/local/bin/perl ./sbin/rt-test-dependencies --verbose
–with-Oracle --with-fastcgi
perl:
>=5.10.1(5.22.0) …found
users:
rt group (apache) …found
bin owner (root) …found
libs owner (root) …found
libs group (bin) …found
web owner (apache) …found
web group (apache) …found
CLI dependencies:
HTTP::Request::Common …found
Text::ParseWords …found
LWP …found
Term::ReadLine …found
Getopt::Long >= 2.24 …found
Term::ReadKey …found
CORE dependencies:
CGI >= 4 …found
HTML::Quoted …found
Log::Dispatch >= 2.30 …found
DateTime::Format::Natural >= 0.67 …found
Digest::base …found
File::Spec >= 0.8 …found
Email::Address::List >= 0.02 …found
Plack::Handler::Starlet …found
DBI >= 1.37 …found
Text::WikiFormat >= 0.76 …found
MIME::Entity >= 5.504 …found
Devel::GlobalDestruction …found
Digest::SHA …found
Regexp::Common …found
Text::Wrapper …found
Date::Extract >= 0.02 …found
Class::Accessor::Fast …found
LWP::Simple …found
HTML::RewriteAttributes >= 0.05 …found
Locale::Maketext >= 1.06 …found
Errno …found
Symbol::Global::Name >= 0.05 …found
Storable >= 2.08 …found
File::Glob …found
File::Temp >= 0.19 …found
Text::Password::Pronounceable …found
DBIx::SearchBuilder >= 1.65 …found
Net::CIDR …found
HTML::Mason >= 1.43 …found
Scalar::Util …found
Mail::Mailer >= 1.57 …found
DateTime::Locale >= 0.40 …found
Devel::StackTrace >= 1.19 …found
Crypt::Eksblowfish …found
CSS::Squish >= 0.06 …found
IPC::Run3 …found
Digest::MD5 >= 2.27 …found
Data::GUID …found
Sys::Syslog >= 0.16 …found
CGI::Emulate::PSGI …found
Regexp::IPv6 …found
CGI::PSGI >= 0.12 …found
UNIVERSAL::require …found
Module::Versions::Report >= 1.05 …found
HTTP::Message >= 6.0 …found
Apache::Session >= 1.53 …found
HTML::Scrubber >= 0.08 …found
Mail::Header >= 2.12 …found
Text::Template >= 1.44 …found
CGI::Cookie >= 1.20 …found
Locale::Maketext::Fuzzy >= 0.11 …found
Plack >= 1.0002 …found
Time::HiRes …found
HTML::FormatText::WithLinks >= 0.14 …found
HTML::FormatText::WithLinks::AndTables …found
HTML::Mason::PSGIHandler >= 0.52 …found
Email::Address >= 1.897 …found
Tree::Simple >= 1.04 …found
List::MoreUtils …found
HTML::Entities …found
File::ShareDir …found
Locale::Maketext::Lexicon >= 0.32 …found
DateTime >= 0.44 …found
Role::Basic >= 0.12 …found
Time::ParseDate …found
Regexp::Common::net::CIDR …found
Encode >= 2.64 …found
Date::Manip …found
Module::Refresh >= 0.03 …found
JSON …found
Text::Quoted >= 2.07 …found
XML::RSS >= 1.05 …found
DASHBOARDS dependencies:
URI::QueryParam …found
MIME::Types …found
URI >= 1.59 …found
FASTCGI dependencies:
FCGI::ProcManager …found
FCGI >= 0.74 …found
GD dependencies:
GD::Text …MISSING
GD::Graph >= 1.47 …MISSING
GD …MISSING
GPG dependencies:
File::Which …found
GnuPG::Interface …found
PerlIO::eol …found
GRAPHVIZ dependencies:
GraphViz …found
IPC::Run >= 0.90 …found
ICAL dependencies:
Data::ICal …found
MAILGATE dependencies:
Net::SSL …found
Mozilla::CA …found
Getopt::Long …found
Crypt::SSLeay …found
LWP::UserAgent >= 6.0 …found
Pod::Usage …found
LWP::Protocol::https …found
ORACLE dependencies:
DBD::Oracle …found
SMIME dependencies:
Crypt::X509 …found
File::Which …found
String::ShellQuote …found
USERLOGO dependencies:
Convert::Color …found

SOME DEPENDENCIES WERE MISSING.
GD missing dependencies:
GD::Graph >= 1.47 …MISSING
GD::Text …MISSING
GD …MISSING

Perl library path for /usr/local/bin/perl:
/usr/local/lib/perl5/site_perl/5.22.0/x86_64-linux
/usr/local/lib/perl5/site_perl/5.22.0
/usr/local/lib/perl5/5.22.0/x86_64-linux
/usr/local/lib/perl5/5.22.0
.
make: *** [testdeps] Error 1
[root@rt rt-4.2.12]#

Thanks and Regards


On Mon, 21/9/15, Kobus Bensch kobus.bensch@trustpayglobal.com wrote:

Subject: Re: [rt-users] Installing GD components
To: rt-users@lists.bestpractical.com
Date: Monday, 21 September, 2015, 16:56

   Paste some more error info. I had this error and the

solution was in
the detail. For me some GD system packages needed
installing.

   On 21/09/2015 11:39, Asanka Gunasekera wrote:

   
   
     Hi All, I am trying to install RT rt-4.2.12 on

CentOS 6.5 (64 bit) configuration goes with out any issue
but when I try to do a make testdeps it gives me below
error

SOME DEPENDENCIES WERE MISSING.
GD missing dependencies:
GD::Graph >= 1.47 …MISSING
GD …MISSING
GD::Text …MISSING

and when I try to install GD components I am getting below
error, can some one tell me how to overcome this situation.
I am doing below to install GD

perl -MCPAN -e’install “GD”’

Error

est Summary Report

t/GD.t (Wstat: 65280 Tests: 9 Failed: 9)
Failed tests: 1-9
Non-zero exit status: 255
Parse errors: Bad plan. You planned 11 tests but ran 9.
t/Polyline.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: Bad plan. You planned 1 tests but ran 0.
Files=2, Tests=9, 0 wallclock secs ( 0.05 usr 0.05 sys +
0.12 cusr 0.06 csys = 0.28 CPU)
Result: FAIL
Failed 2/2 test programs. 9/9 subtests failed.
LDS/GD-2.56.tar.gz
./Build test – NOT OK
//hint// to see the cpan-testers results for installing
this
module, try:
reports LDS/GD-2.56.tar.gz

How can I over come above situation?
Can I by pass force installation?
Will there be any issue?

Thanks and Best Regards

Asanka

   --

     Kobus Bensch Trustpay Global

LTD email signature
Kobus Bensch

     Senior Systems Administrator

     Address:  22 & 24 | Frederick Sanger Road |

Guildford | Surrey
| GU2 7YD

     DDI:  0207 871 3958

     Tel:  0207 871 3890

     Email:  kobus.bensch@trustpayglobal.com

Trustpay Global Limited is an
authorised Electronic Money Institution regulated by the
Financial Conduct Authority registration number 900043.
Company No 07427913 Registered in England and Wales with
registered address 130 Wood Street, London, EC2V 6DL,
United
Kingdom.For further details please visit our
website at www.trustpayglobal.com.The
information in this email and
any attachments are confidential and remain the property of
Trustpay Global Ltd unless agreed by contract. It is
intended solely for the person to whom or the entity to
which it is addressed. If you are not the intended
recipient
you may not use, disclose, copy, distribute, print or rely
on the content of this email or its attachments. If this
email has been received by you in error please advise the
sender and delete the email from your system. Trustpay
Global Ltd does not accept any liability for any personal
view expressed in this
message.

  --

    Kobus Bensch Trustpay Global

LTD email signature
Kobus Bensch

    Senior Systems Administrator

    Address:  22 & 24 | Frederick Sanger Road |

Guildford | Surrey
| GU2 7YD

    DDI:  0207 871 3958

    Tel:  0207 871 3890

    Email:  kobus.bensch@trustpayglobal.com

Trustpay Global Limited is an
authorised Electronic Money Institution regulated by the
Financial Conduct Authority registration number 900043.
Company No 07427913 Registered in England and Wales with
registered address 130 Wood Street, London, EC2V 6DL, United
Kingdom.For further details please visit our
website at www.trustpayglobal.com.The information in this email and
any attachments are confidential and remain the property of
Trustpay Global Ltd unless agreed by contract. It is
intended solely for the person to whom or the entity to
which it is addressed. If you are not the intended recipient
you may not use, disclose, copy, distribute, print or rely
on the content of this email or its attachments. If this
email has been received by you in error please advise the
sender and delete the email from your system. Trustpay
Global Ltd does not accept any liability for any personal
view expressed in this
message.

Kobus Bensch Trustpay Global LTD email signature Kobus Bensch
Senior Systems Administrator
Address: 22 & 24 | Frederick Sanger Road | Guildford | Surrey | GU2 7YD
DDI: 0207 871 3958
Tel: 0207 871 3890
Email: kobus.bensch@trustpayglobal.com
mailto:kobus.bensch@trustpayglobal.com

Trustpay Global Limited is an authorised Electronic Money Institution
regulated by the Financial Conduct Authority registration number 900043.
Company No 07427913 Registered in England and Wales with registered address
130 Wood Street, London, EC2V 6DL, United Kingdom.

For further details please visit our website at www.trustpayglobal.com.

The information in this email and any attachments are confidential and
remain the property of Trustpay Global Ltd unless agreed by contract. It is
intended solely for the person to whom or the entity to which it is
addressed. If you are not the intended recipient you may not use, disclose,
copy, distribute, print or rely on the content of this email or its
attachments. If this email has been received by you in error please advise
the sender and delete the email from your system. Trustpay Global Ltd does
not accept any liability for any personal view expressed in this message.

Hi Kobus, this is installed :frowning:

[root@rt install]# yum whatprovides "*/libjpeg.so"
Loaded plugins: fastestmirror, refresh-packagekit, security
Loading mirror speeds from cached hostfile

1:java-1.6.0-openjdk-1.6.0.35-1.13.7.1.el6_6.x86_64 : OpenJDK Runtime Environment
Repo : base
Matched from:
Filename : /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.35.x86_64/jre/lib/amd64/libjpeg.so

libjpeg-turbo-devel-1.2.1-3.el6_5.x86_64 : Headers for the libjpeg-turbo library
Repo : base
Matched from:
Filename : /usr/lib64/libjpeg.so

1:java-1.6.0-openjdk-1.6.0.36-1.13.8.1.el6_7.x86_64 : OpenJDK Runtime Environment
Repo : updates
Matched from:
Filename : /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.36.x86_64/jre/lib/amd64/libjpeg.so

libjpeg-turbo-devel-1.2.1-3.el6_5.x86_64 : Headers for the libjpeg-turbo library
Repo : installed
Matched from:
Filename : /usr/lib64/libjpeg.so

1:java-1.6.0-openjdk-1.6.0.36-1.13.8.1.el6_7.x86_64 : OpenJDK Runtime Environment
Repo : installed
Matched from:
Filename : /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.36.x86_64/jre/lib/amd64/libjpeg.so

Thanks and RegardsSubject: Re: [rt-users] Installing GD components
To: rt-users@lists.bestpractical.com
Date: Tuesday, 22 September, 2015, 15:06

 This is the problem

 

 # Error: Can't load '/root/.cpan/build/GD-2.56-1_9WTm/t/../blib/arch/auto/GD/GD.so'

for module GD: libjpeg.so.9: cannot open shared object file:
No such file or directory at
/usr/local/lib/perl5/5.22.0/x86_64-linux/DynaLoader.pm line
193.

Particularly libjpeg.so.9: cannot open shared object file

When I do sudo yum whatprovides “*/libjpeg.so” on
centos6 I get a few options. If it was me, I would install
libjpeg-turbo-devel-1.2.1-3.el6_5.x86_64 via yum, but this
is also with the information I have at hand. Please proceed
carefully.

libjpeg-turbo-devel-1.2.1-3.el6_5.i686 : Headers for the
libjpeg-turbo library
Repo : base
Matched from:
Filename : /usr/lib/libjpeg.so

1:java-1.6.0-openjdk-1.6.0.35-1.13.7.1.el6_6.x86_64 :
OpenJDK Runtime Environment
Repo : base
Matched from:
Filename :
/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.35.x86_64/jre/lib/amd64/libjpeg.so

libjpeg-turbo-devel-1.2.1-3.el6_5.x86_64 : Headers for the
libjpeg-turbo library
Repo : base
Matched from:
Filename : /usr/lib64/libjpeg.so

1:java-1.6.0-openjdk-1.6.0.36-1.13.8.1.el6_7.x86_64 :
OpenJDK Runtime Environment
Repo : updates
Matched from:
Filename :
/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.36.x86_64/jre/lib/amd64/libjpeg.so

1:java-1.6.0-openjdk-1.6.0.35-1.13.7.1.el6_6.x86_64 :
OpenJDK Runtime Environment
Repo : installed
Matched from:
Filename :
/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.35.x86_64/jre/lib/amd64/libjpeg.so

   Hi Kobus below is the output

[root@rt rt-4.2.12]# perl -MCPAN -e’install
"GD"'
Reading '/root/.cpan/Metadata’
Database was generated on Mon, 21 Sep 2015 03:53:40 GMT
Running install for module 'GD’
Checksum for
/root/.cpan/sources/authors/id/L/LD/LDS/GD-2.56.tar.gz ok
Configuring L/LD/LDS/GD-2.56.tar.gz with Build.PL
Configuring for libgd version 2.0.34.
Checking for stray libgd header files…none found.

Included Features: GD_XPM GD_JPEG GD_FONTCONFIG GD_FREETYPE
GD_PNG GD_GIF GD_GIFANIM GD_OPENPOLYGON GD_UNCLOSEDPOLY
GD_ANIMGIF GD_FTCIRCLE VERSION_33
GD library used from: /usr
Created MYMETA.yml and MYMETA.json
Creating new ‘Build’ script for ‘GD’ version
’2.56’
LDS/GD-2.56.tar.gz
/usr/local/bin/perl Build.PL – OK
Running Build for L/LD/LDS/GD-2.56.tar.gz
Building GD
Extracting Image.pm (with variable substitutions)
cc -I/usr/include
-I/usr/local/lib/perl5/5.22.0/x86_64-linux/CORE
-DVERSION=“2.56” -DXS_VERSION=“2.56”
-fPIC -DHAVE_JPEG -DHAVE_FT -DHAVE_XPM -DHAVE_GIF -DHAVE_PNG
-DHAVE_ANIMGIF -DVERSION_33 -DHAVE_UNCLOSEDPOLY
-DHAVE_FONTCONFIG -DHAVE_FTCIRCLE -c -fPIC -fwrapv
-fno-strict-aliasing -pipe -fstack-protector
-I/usr/local/include -D_LARGEFILE_SOURCE
-D_FILE_OFFSET_BITS=64 -D_FORTIFY_SOURCE=2 -fPIC -fPIC -fPIC
-O2 -o lib/GD.o lib/GD.c
ExtUtils::Mkbootstrap::Mkbootstrap(‘blib/arch/auto/GD/GD.bs’)
cc -shared -O2 -L/usr/local/lib -fstack-protector -o
blib/arch/auto/GD/GD.so lib/GD.o -L/usr/lib64 -L/usr/lib64
-L/usr/lib64 -L/usr/lib64 -lXpm -lX11 -ljpeg -lfontconfig
-lfreetype -lpng12 -lz -lm -lgd
LDS/GD-2.56.tar.gz
./Build – OK
Running Build test
t/GD.t … 1/11

Failed test ‘use GD;’

at t/GD.t line 14.

Tried to use ‘GD’.

Error: Can’t load

'/root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/arch/auto/GD/GD.so’
for module GD: libjpeg.so.9: cannot open shared object file:
No such file or directory at
/usr/local/lib/perl5/5.22.0/x86_64-linux/DynaLoader.pm line
193.

at t/GD.t line 14.

Compilation failed in require at t/GD.t line 14.

BEGIN failed–compilation aborted at t/GD.t line 14.

Failed test ‘use GD::Simple;’

at t/GD.t line 15.

Tried to use ‘GD::Simple’.

Error: Attempt to reload GD.pm aborted.

Compilation failed in require at

/root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Simple.pm
line 160.

BEGIN failed–compilation aborted at

/root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Simple.pm
line 160.

Compilation failed in require at t/GD.t line 15.

BEGIN failed–compilation aborted at t/GD.t line 15.

Testing using gd2 support.

Failed test 'unable to generate comparison image for

test 1: Can’t locate object method “_new” via
package “GD::Image” at
/root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm
line 83.

at t/GD.t line 246.

Failed test 'unable to generate comparison image for

test 2: Can’t locate object method “_new” via
package “GD::Image” at
/root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm
line 83.

at t/GD.t line 246.

Failed test 'unable to generate comparison image for

test 3: Can’t locate object method “_new” via
package “GD::Image” at
/root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm
line 83.

at t/GD.t line 246.

Failed test 'unable to generate comparison image for

test 4: Can’t locate object method “_new” via
package “GD::Image” at
/root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm
line 83.

at t/GD.t line 246.

Failed test 'unable to generate comparison image for

test 5: Can’t locate object method “_new” via
package “GD::Image” at
/root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm
line 83.

at t/GD.t line 246.

Failed test 'unable to generate comparison image for

test 6: Can’t locate object method “_new” via
package “GD::Image” at
/root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm
line 83.

at t/GD.t line 246.

Failed test 'unable to generate comparison image for

test 7: Can’t locate object method “_new” via
package “GD::Image” at
/root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm
line 83.

at t/GD.t line 246.

Can’t locate object method “_new” via package
"GD::Image" at
/root/.cpan/build/GD-2.56-1_9WTm/t/…/blib/lib/GD/Image.pm
line 83.

Looks like you planned 11 tests but ran 9.

Looks like you failed 9 tests of 9 run.

Looks like your test exited with 255 just after 9.

t/GD.t … Dubious, test returned 255 (wstat 65280,
0xff00)
Failed 11/11 subtests
t/Polyline.t … Can’t load
’/root/.cpan/build/GD-2.56-1_9WTm/blib/arch/auto/GD/GD.so’
for module GD: libjpeg.so.9: cannot open shared object file:
No such file or directory at
/usr/local/lib/perl5/5.22.0/x86_64-linux/DynaLoader.pm line
193.
at /root/.cpan/build/GD-2.56-1_9WTm/blib/lib/GD/Polyline.pm
line 45.
Compilation failed in require at
/root/.cpan/build/GD-2.56-1_9WTm/blib/lib/GD/Polyline.pm
line 45.
BEGIN failed–compilation aborted at
/root/.cpan/build/GD-2.56-1_9WTm/blib/lib/GD/Polyline.pm
line 45.
Compilation failed in require at t/Polyline.t line 10.
BEGIN failed–compilation aborted at t/Polyline.t line 10.
t/Polyline.t … Dubious, test returned 2 (wstat 512, 0x200)
Failed 1/1 subtests

Test Summary Report
t/GD.t (Wstat: 65280 Tests: 9 Failed: 9)
Failed tests: 1-9
Non-zero exit status: 255
Parse errors: Bad plan. You planned 11 tests but ran 9.
t/Polyline.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: Bad plan. You planned 1 tests but ran 0.
Files=2, Tests=9, 0 wallclock secs ( 0.05 usr 0.04 sys +
0.14 cusr 0.04 csys = 0.27 CPU)
Result: FAIL
Failed 2/2 test programs. 9/9 subtests failed.
LDS/GD-2.56.tar.gz
./Build test – NOT OK
//hint// to see the cpan-testers results for installing this
module, try:
reports LDS/GD-2.56.tar.gz
[root@rt rt-4.2.12]#

Thanks and Regards

Subject: Re: [rt-users] Installing GD components
To: rt-users@lists.bestpractical.com
Date: Monday, 21 September, 2015, 17:09

  What happens when you try to install the module

manually
using CPAN?

  Whats the output from that?

  



  
  
    Hi Kobus, thanks for the reply I have installed

some packages regarding to gd-devel, zlib.x86_64, zlib,
freetype.x86_64, libgd and gdlib-config and below is the
full output

[root@rt rt-4.2.12]# make testdeps
/usr/local/bin/perl ./sbin/rt-test-dependencies --verbose
–with-Oracle --with-fastcgi
perl:
>=5.10.1(5.22.0) …found
users:
rt group (apache) …found
bin owner (root) …found
libs owner (root) …found
libs group (bin) …found
web owner (apache) …found
web group (apache) …found
CLI dependencies:
HTTP::Request::Common …found
Text::ParseWords …found
LWP …found
Term::ReadLine …found
Getopt::Long >= 2.24 …found
Term::ReadKey …found
CORE dependencies:
CGI >= 4 …found
HTML::Quoted …found
Log::Dispatch >= 2.30 …found
DateTime::Format::Natural >= 0.67 …found
Digest::base …found
File::Spec >= 0.8 …found
Email::Address::List >= 0.02 …found
Plack::Handler::Starlet …found
DBI >= 1.37 …found
Text::WikiFormat >= 0.76 …found
MIME::Entity >= 5.504 …found
Devel::GlobalDestruction …found
Digest::SHA …found
Regexp::Common …found
Text::Wrapper …found
Date::Extract >= 0.02 …found
Class::Accessor::Fast …found
LWP::Simple …found
HTML::RewriteAttributes >= 0.05 …found
Locale::Maketext >= 1.06 …found
Errno …found
Symbol::Global::Name >= 0.05 …found
Storable >= 2.08 …found
File::Glob …found
File::Temp >= 0.19 …found
Text::Password::Pronounceable …found
DBIx::SearchBuilder >= 1.65 …found
Net::CIDR …found
HTML::Mason >= 1.43 …found
Scalar::Util …found
Mail::Mailer >= 1.57 …found
DateTime::Locale >= 0.40 …found
Devel::StackTrace >= 1.19 …found
Crypt::Eksblowfish …found
CSS::Squish >= 0.06 …found
IPC::Run3 …found
Digest::MD5 >= 2.27 …found
Data::GUID …found
Sys::Syslog >= 0.16 …found
CGI::Emulate::PSGI …found
Regexp::IPv6 …found
CGI::PSGI >= 0.12 …found
UNIVERSAL::require …found
Module::Versions::Report >= 1.05 …found
HTTP::Message >= 6.0 …found
Apache::Session >= 1.53 …found
HTML::Scrubber >= 0.08 …found
Mail::Header >= 2.12 …found
Text::Template >= 1.44 …found
CGI::Cookie >= 1.20 …found
Locale::Maketext::Fuzzy >= 0.11 …found
Plack >= 1.0002 …found
Time::HiRes …found
HTML::FormatText::WithLinks >= 0.14 …found
HTML::FormatText::WithLinks::AndTables …found
HTML::Mason::PSGIHandler >= 0.52 …found
Email::Address >= 1.897 …found
Tree::Simple >= 1.04 …found
List::MoreUtils …found
HTML::Entities …found
File::ShareDir …found
Locale::Maketext::Lexicon >= 0.32 …found
DateTime >= 0.44 …found
Role::Basic >= 0.12 …found
Time::ParseDate …found
Regexp::Common::net::CIDR …found
Encode >= 2.64 …found
Date::Manip …found
Module::Refresh >= 0.03 …found
JSON …found
Text::Quoted >= 2.07 …found
XML::RSS >= 1.05 …found
DASHBOARDS dependencies:
URI::QueryParam …found
MIME::Types …found
URI >= 1.59 …found
FASTCGI dependencies:
FCGI::ProcManager …found
FCGI >= 0.74 …found
GD dependencies:
GD::Text …MISSING
GD::Graph >= 1.47 …MISSING
GD …MISSING
GPG dependencies:
File::Which …found
GnuPG::Interface …found
PerlIO::eol …found
GRAPHVIZ dependencies:
GraphViz …found
IPC::Run >= 0.90 …found
ICAL dependencies:
Data::ICal …found
MAILGATE dependencies:
Net::SSL …found
Mozilla::CA …found
Getopt::Long …found
Crypt::SSLeay …found
LWP::UserAgent >= 6.0 …found
Pod::Usage …found
LWP::Protocol::https …found
ORACLE dependencies:
DBD::Oracle …found
SMIME dependencies:
Crypt::X509 …found
File::Which …found
String::ShellQuote …found
USERLOGO dependencies:
Convert::Color …found

SOME DEPENDENCIES WERE MISSING.
GD missing dependencies:
GD::Graph >= 1.47 …MISSING
GD::Text …MISSING
GD …MISSING

Perl library path for /usr/local/bin/perl:
/usr/local/lib/perl5/site_perl/5.22.0/x86_64-linux
/usr/local/lib/perl5/site_perl/5.22.0
/usr/local/lib/perl5/5.22.0/x86_64-linux
/usr/local/lib/perl5/5.22.0
.
make: *** [testdeps] Error 1
[root@rt rt-4.2.12]#

Thanks and Regards

Running this command does not mean it is installed. It just tells you
which packages provides the libjpeg.so

Does the lib actually exist in

/usr/lib/libjpeg.so or /usr/lib64/libjpeg.soOn 22/09/2015 11:50, Asanka Gunasekera wrote:

yum whatprovides “*/libjpeg.so”

Kobus Bensch Trustpay Global LTD email signature Kobus Bensch
Senior Systems Administrator
Address: 22 & 24 | Frederick Sanger Road | Guildford | Surrey | GU2 7YD
DDI: 0207 871 3958
Tel: 0207 871 3890
Email: kobus.bensch@trustpayglobal.com
mailto:kobus.bensch@trustpayglobal.com

Trustpay Global Limited is an authorised Electronic Money Institution
regulated by the Financial Conduct Authority registration number 900043.
Company No 07427913 Registered in England and Wales with registered address
130 Wood Street, London, EC2V 6DL, United Kingdom.

For further details please visit our website at www.trustpayglobal.com.

The information in this email and any attachments are confidential and
remain the property of Trustpay Global Ltd unless agreed by contract. It is
intended solely for the person to whom or the entity to which it is
addressed. If you are not the intended recipient you may not use, disclose,
copy, distribute, print or rely on the content of this email or its
attachments. If this email has been received by you in error please advise
the sender and delete the email from your system. Trustpay Global Ltd does
not accept any liability for any personal view expressed in this message.

Hi Kobus, I am sorry for the long silence …

I have reinstalled the server with CentOs 6.7 and found below infor doing a locate

/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.36.x86_64/jre/lib/amd64/libjpeg.so
/usr/lib64/libjpeg.so
/usr/lib64/libjpeg.so.62
/usr/lib64/libjpeg.so.62.0.0

but the compilation stops at the same point

SOME DEPENDENCIES WERE MISSING.
GD missing dependencies:
GD::Graph >= 1.47 …MISSING
GD::Text …MISSING
GD …MISSING
CORE missing dependencies:
XML::RSS >= 1.05 …MISSING
HTML::FormatText::WithLinks >= 0.14 …MISSING
HTML::FormatText::WithLinks::AndTables …MISSING
GRAPHVIZ missing dependencies:
GraphViz …MISSING

Perl library path for /usr/local/bin/perl:
/usr/local/lib/perl5/site_perl/5.22.0/x86_64-linux
/usr/local/lib/perl5/site_perl/5.22.0
/usr/local/lib/perl5/5.22.0/x86_64-linux
/usr/local/lib/perl5/5.22.0
.
make: *** [testdeps] Error 1

It looks there is something wrong with the combination or what I am doing :frowning:

Thanks and Regards

AsankaOn Tue, 22/9/15, Kobus Bensch kobus.bensch@trustpayglobal.com wrote:

Subject: Re: [rt-users] Installing GD components
To: “Asanka Gunasekera” asanka_gunasekera@yahoo.co.uk, rt-users@lists.bestpractical.com
Date: Tuesday, 22 September, 2015, 17:02

 Running this command does not mean it is installed. It

just tells
you which packages provides the libjpeg.so

 Does the lib actually exist in 

 /usr/lib/libjpeg.so or /usr/lib64/libjpeg.so
 

 On 22/09/2015 11:50, Asanka Gunasekera wrote:

 
 
   yum whatprovides "*/libjpeg.so" 
 
 


   Kobus Bensch Trustpay Global LTD email

signature
Kobus Bensch

   Senior Systems Administrator

   Address:  22 & 24 | Frederick Sanger Road |

Guildford | Surrey
| GU2 7YD

   DDI:  0207 871 3958

   Tel:  0207 871 3890

   Email:  kobus.bensch@trustpayglobal.com

Trustpay Global Limited is an
authorised Electronic Money Institution regulated by the
Financial Conduct Authority registration number 900043.
Company No 07427913 Registered in England and Wales with
registered address 130 Wood Street, London, EC2V 6DL, United
Kingdom.For further details please visit our
website at www.trustpayglobal.com.The information in this email and
any attachments are confidential and remain the property of
Trustpay Global Ltd unless agreed by contract. It is
intended solely for the person to whom or the entity to
which it is addressed. If you are not the intended recipient
you may not use, disclose, copy, distribute, print or rely
on the content of this email or its attachments. If this
email has been received by you in error please advise the
sender and delete the email from your system. Trustpay
Global Ltd does not accept any liability for any personal
view expressed in this message.

Hi Kobus, I have got bit further with this new installation but the original issue is still there

SOME DEPENDENCIES WERE MISSING.
GD missing dependencies:
GD …MISSING
GD::Text …MISSING
GD::Graph >= 1.47 …MISSING

I tried installing GD manually but it is giving me

Checking for stray libgd header files…none found.

though when I do locate on libgd.so I get below

/usr/lib64/libgd.so
/usr/lib64/libgd.so.2
/usr/lib64/libgd.so.2.0.0

Do I need to do anything to the perl or env

Thanks and Regards

AsankaSubject: Re: [rt-users] Installing GD components
To: rt-users@lists.bestpractical.com, “Kobus Bensch” kobus.bensch@trustpayglobal.com
Date: Thursday, 15 October, 2015, 17:30

Hi Kobus, I am sorry for the long
silence …

I have reinstalled the server with CentOs 6.7 and found
below infor doing a locate

/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.36.x86_64/jre/lib/amd64/libjpeg.so
/usr/lib64/libjpeg.so
/usr/lib64/libjpeg.so.62
/usr/lib64/libjpeg.so.62.0.0

but the compilation stops at the same point

SOME DEPENDENCIES WERE MISSING.
GD missing dependencies:
GD::Graph >= 1.47 …MISSING
GD::Text …MISSING
GD …MISSING
CORE missing dependencies:
XML::RSS >= 1.05 …MISSING
HTML::FormatText::WithLinks

= 0.14 …MISSING

HTML::FormatText::WithLinks::AndTables …MISSING
GRAPHVIZ missing dependencies:
GraphViz …MISSING

Perl library path for /usr/local/bin/perl:

/usr/local/lib/perl5/site_perl/5.22.0/x86_64-linux
/usr/local/lib/perl5/site_perl/5.22.0
/usr/local/lib/perl5/5.22.0/x86_64-linux
/usr/local/lib/perl5/5.22.0
.
make: *** [testdeps] Error 1

It looks there is something wrong with the combination or
what I am doing :frowning:

Thanks and Regards

Asanka

Hi Kobus, please see below, the rpm that was installed using yum is perl-GD-2.44-3.el6.x86_64 but cpan is looking for 1.18

cpan[16]> install GD::Graph
Running install for module 'GD::Graph’
Checksum for /root/.cpan/sources/authors/id/R/RU/RUZ/GDGraph-1.49.tar.gz ok
Configuring R/RU/RUZ/GDGraph-1.49.tar.gz with Makefile.PL
Checking if your kit is complete…
Looks good
Warning: prerequisite GD 1.18 not found.

Do I have to downgrade or is there a way to use what is installed

Thanks and Regards

AsankaSubject: Re: [rt-users] Installing GD components
To: rt-users@lists.bestpractical.com, “Kobus Bensch” kobus.bensch@trustpayglobal.com
Date: Friday, 16 October, 2015, 18:56

Hi Kobus, I have got bit
further with this new installation but the original issue is
still there

SOME DEPENDENCIES WERE MISSING.
GD missing dependencies:
GD
…MISSING
GD::Text …MISSING
GD::Graph >= 1.47 …MISSING

I tried installing GD manually
but it is giving me

Checking for stray libgd header files…none
found.

though when I do
locate on libgd.so I get below

/usr/lib64/libgd.so
/usr/lib64/libgd.so.2
/usr/lib64/libgd.so.2.0.0

Do I need to do anything to the perl or env

Thanks and Regards

Asanka

Subject: Re: [rt-users]
Installing GD components
To: rt-users@lists.bestpractical.com,
“Kobus Bensch” kobus.bensch@trustpayglobal.com
Date: Thursday, 15 October, 2015, 17:30

Hi Kobus, I am sorry for the
long
silence …

I have reinstalled the server with CentOs 6.7
and found
below infor doing a locate

/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.36.x86_64/jre/lib/amd64/libjpeg.so
/usr/lib64/libjpeg.so

/usr/lib64/libjpeg.so.62

/usr/lib64/libjpeg.so.62.0.0

but the compilation stops at the same point

SOME DEPENDENCIES WERE
MISSING.
GD missing dependencies:
GD::Graph >= 1.47 …MISSING
GD::Text …MISSING
GD …MISSING

CORE missing dependencies:

XML::RSS >= 1.05 …MISSING

HTML::FormatText::WithLinks

= 0.14
…MISSING

HTML::FormatText::WithLinks::AndTables …MISSING
GRAPHVIZ missing dependencies:
GraphViz …MISSING

Perl library path for
/usr/local/bin/perl:

/usr/local/lib/perl5/site_perl/5.22.0/x86_64-linux
/usr/local/lib/perl5/site_perl/5.22.0

/usr/local/lib/perl5/5.22.0/x86_64-linux

/usr/local/lib/perl5/5.22.0
.
make: *** [testdeps] Error 1

It looks there is something wrong with the
combination or
what I am doing :frowning:

Thanks and Regards

Asanka

Hi Kobus, how do I enable detailed loggin, below is what I did but it still gives only succesfull logins

Set($LogToSyslog, ‘’);
Set($LogToFile, ‘debug’);
Set($LogDir, ‘/var/log/rt’);
Set($LogToFileNamed , “rt.log”);

Thanks and Regards

AsankaSubject: Re: [rt-users] Installing GD components
To: “Kobus Bensch” kobus.bensch@trustpayglobal.com
Date: Tuesday, 20 October, 2015, 17:38

I dont see any errors or warnings
Kobus, any how let me increas the loging level and see.

Thanks and best Reagrds

Asanka

Hope you dont mind if I to update if needed help on this

Subject: Re: [rt-users] Installing GD components
To: “Asanka Gunasekera” asanka_gunasekera@yahoo.co.uk
Date: Tuesday, 20 October, 2015, 17:27

  Not sure about the close_wait. That

has to be
serverside. Whats in
your logs?

  On 20/10/2015 12:06,

Asanka Gunasekera
wrote:

    Hi Kobus, thank you for the

reply, understood :).
Any idea about the open sockets having status close_wait
(meaning server side is holding the socket open when the
client has already send a close)

Thanks and Regards

Asanka

Subject: Re: [rt-users] Installing GD components
To: “Asanka Gunasekera” asanka_gunasekera@yahoo.co.uk
Date: Tuesday, 20 October, 2015, 16:51

   The GD stuff is used for graph creation

and displays.
So
if you not
fussed then thats fine.

   As for the queues. My understanding is

that each queu
need its own
set of email addresses as that is how
it gets into that
queue unless
you move tickets to that queue
manually, but all
correspondence will
go into the first queue found that the
email address is
attached to.
Usually your default queue.

   Kobus

   

   On 20/10/2015 11:48,

Asanka Gunasekera
wrote:

     Hi Kobus, with below update I

was able to get
things install but I am not suer what would be the
impact
on
RT of skipping DG test. Any how now I can log in and
all
but
faced with below obstetrical

  1. I can log in and all, but after a while I am
    seeing
    CLOSE_WAIT socket is created for each selection that
    I make

on the dashboard. Eventually the system goes
unresponsive.

root@iplrt logs]# netstat
-nalp | grep -i wait
tcp 1
0 192.168.11.254:80
192.168.11.118:57076
CLOSE_WAIT 3176/httpd

tcp 1
0 192.168.11.254:80
192.168.11.118:57083
CLOSE_WAIT 3177/httpd

tcp 1
0 192.168.11.254:80
192.168.11.118:57082
CLOSE_WAIT 3185/httpd

tcp 1
0 192.168.11.254:80
192.168.11.118:57084
CLOSE_WAIT 3365/httpd

[root@iplrt logs]#

  1. Do I need to have separate mail accounts for each
    queue
    that I make. Lets say I have 10 queues and the way I
    can
    see
    with fetch mail you have to have 10 emails address
    minimum.
    Is there a way to use just 2 address for all queues
    one for
    correspondence and one for communications

Thanks and Regards

Asanka
On Tue, 20/10/15, Asanka Gunasekera asanka_gunasekera@yahoo.co.uk
wrote:

Subject: Re: [rt-users] Installing GD

components
To: “Kobus Bensch” kobus.bensch@trustpayglobal.com
Date: Tuesday, 20 October, 2015, 10:34

Hi Kobus, I tried
installing it manually (GD) but when I ran

./Build test it
was failing one test

Failed
test 'image comparison test 7'

since in GD readme it said this is

optional I
just went and install and now I can do mak
on RT, what
would
be the ill effect doing above and what is
the function to
RT

Thanks and Regards

Asanka

On Tue, 20/10/15, Asanka Gunasekera <asanka_gunasekera@yahoo.co.uk>
wrote:

 Subject: Re: [rt-users]
Installing GD components
 To: "Kobus
Bensch" <kobus.bensch@trustpayglobal.com>
 Date: Tuesday, 20 October, 2015, 10:03
 
 Hi Kobus, please find
 below the out put of the command
 
 root@iplrt ~]# yum list
 installed | grep gd

eggdbus.x86_64     
     0.6-3.el6 
 

   @anaconda-CentOS-201508042137.x86_64/6.7
 gd.x86_64           

   2.0.35-11.el6   @base       

                          
 gd-devel.x86_64     

   2.0.35-11.el6   @base       

                          
 gdb.x86_64              7.2-83.el6 
 
  
@anaconda-CentOS-201508042137.x86_64/6.7

gdbm.x86_64         

   1.8.0-38.el6   

@anaconda-CentOS-201508042137.x86_64/6.7

gdbm-devel.x86_64   
    1.8.0-38.el6 
 

@anaconda-CentOS-201508042137.x86_64/6.7

gdk-pixbuf2.x86_64     

2.24.1-6.el6_7

@updates                     
       
 gdk-pixbuf2-devel.x86_64

gdm.x86_64             

1:2.30.4-64.el6
@anaconda-CentOS-201508042137.x86_64/6.7
gdm-libs.x86_64

   1:2.30.4-64.el6

@anaconda-CentOS-201508042137.x86_64/6.7

gdm-plugin-fingerprint.x86_64

gdm-user-switch-applet.x86_64

libgdata.x86_64     

   0.6.4-2.el6 

   @anaconda-CentOS-201508042137.x86_64/6.7
 libgdata-devel.x86_64   0.6.4-2.el6 

   @anaconda-CentOS-201508042137.x86_64/6.7
 plymouth-gdm-hooks.x86_64

pulseaudio-gdm-hooks.x86_64
 [root@iplrt ~]# 
 
 
 Thanks
and
 Regards
 
 Asanka

 On Fri, 16/10/15, Kobus Bensch <kobus.bensch@trustpayglobal.com>
 wrote:
 
 
Subject: Re: [rt-users]
 Installing GD
components
  To: "Asanka
 Gunasekera" <asanka_gunasekera@yahoo.co.uk>
  Date: Friday, 16 October, 2015, 19:40
  
  
  
    Send me the output for yum list
installed |
 grep gd
  
  
    
 

  
    
  
  

   
  
  
    On 16/10/2015 13:56,
 
Asanka
 Gunasekera
    
   wrote:
  
  
   
      
    
    Hi Kobus, I have got bit further with
this
 new
  installation
but the original issue is
 still there
  
  
  SOME
DEPENDENCIES WERE MISSING.
  GD missing
dependencies:
  GD

...MISSING
  GD::Text ...MISSING
  GD::Graph >= 1.47 ...MISSING
  
  I tried installing GD
 manually but it is giving me 
  
  Checking for stray libgd
header files...none
 found. 
  
  though when I do
 locate on libgd.so I get below
  
  /usr/lib64/libgd.so
 
 /usr/lib64/libgd.so.2
 
 /usr/lib64/libgd.so.2.0.0
  
 
 Do I
need to do anything to the perl or env
 
 
  Thanks and Regards
  
  Asanka
  
 

  On Thu, 15/10/15, Asanka Gunasekera

asanka_gunasekera@yahoo.co.uk
wrote:

 Subject: Re: [rt-users] Installing GD
components
   To: rt-users@lists.bestpractical.com,
  "Kobus Bensch" <kobus.bensch@trustpayglobal.com>
   Date: Thursday, 15 October, 2015, 17:30
   
   Hi Kobus, I am sorry
for
 the long
   silence
....
  
 

  I have reinstalled the server with

CentOs 6.7 and found
   below infor doing
a
 locate

/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.36.x86_64/jre/lib/amd64/libjpeg.so
/usr/lib64/libjpeg.so

 /usr/lib64/libjpeg.so.62
  

/usr/lib64/libjpeg.so.62.0.0
   
   but the compilation stops at the same
 point
   
  
SOME
 DEPENDENCIES WERE MISSING.
   GD missing

dependencies:
           GD::Graph
>=
 1.47 ...MISSING
  
        GD::Text
 ...MISSING
           GD ...MISSING

  CORE missing dependencies:
        
  XML::RSS >= 1.05
 ...MISSING
          

HTML::FormatText::WithLinks
   >=
0.14
 ...MISSING
      
   
  

HTML::FormatText::WithLinks::AndTables

…MISSING
GRAPHVIZ missing dependencies:
GraphViz …MISSING

   Perl library path
for
 /usr/local/bin/perl:

     
  

/usr/local/lib/perl5/site_perl/5.22.0/x86_64-linux
      

/usr/local/lib/perl5/site_perl/5.22.0
  
 
  
/usr/local/lib/perl5/5.22.0/x86_64-linux
  
    /usr/local/lib/perl5/5.22.0
      
.
   make: ***
 [testdeps]
Error 1
   
   It
 looks there is something wrong with the
combination or
   what I am doing :(
   
   Thanks and Regards
   
   Asanka
   
  

   On Tue, 22/9/15, Kobus Bensch <kobus.bensch@trustpayglobal.com>
   wrote:
   
    Subject: Re: [rt-users]

Installing GD components
    To:
 "Asanka Gunasekera" <asanka_gunasekera@yahoo.co.uk>,
   rt-users@lists.bestpractical.com
    Date: Tuesday, 22 September,
 2015, 17:02
    
    
      
    
        
      
      
        Running this command does not
 mean
   it is installed.
It
    just tells
  
 
    you which packages provides the
  
 libjpeg.so
    
  
  
   
    
  
      Does the lib actually exist in 
    
    

   /usr/lib/libjpeg.so or
  
 /usr/lib64/libjpeg.so
    
   
    
    
   On
 22/09/2015

   11:50, Asanka
 Gunasekera
          wrote:

   
        
    
   
          yum

whatprovides
   "*/libjpeg.so"

        
    
   
    
    
 
    
      
    Kobus Bensch
Trustpay Global
   LTD

email
    signature
  
       Kobus Bensch
    
      
    Senior
Systems
   Administrator

   
      

   Address:  22 & 24 |
  
Frederick
 Sanger Road |

   Guildford |
 Surrey

         | GU2 7YD
    
      
    DDI:  0207
871 3958
    
    
 
    Tel:  0207 871 3890
    
      
    Email:  kobus.bensch@trustpayglobal.com
    
      
    
        
  
    

   
    
    
    
    Trustpay Global
Limited is an
    authorised Electronic
Money
 Institution regulated by the
    Financial Conduct Authority
 registration number 900043.

   Company No 07427913 Registered in

England and Wales with
    registered
address 130 Wood
 Street, London, EC2V
6DL,
   United

   Kingdom.For further details
 please
visit our
    website at

www.trustpayglobal.com.The
  information
in
 this
   email and
    any attachments are confidential
 and remain the property
  
of
    Trustpay Global Ltd unless
agreed
 by contract. It is

   intended
 solely for the person to
whom or the entity to
    which it is
addressed. If you are
 not the intended
   recipient
    you may
not use, disclose, copy,
 distribute, print
or rely
    on
 the
content of this email or its attachments.

If this
email has been received by you in
error please advise the

   sender
 and delete the email from your
system. Trustpay
    Global Ltd does not
accept any
 liability for any personal
    view expressed in this

message.
  
  
    
      
  
  
        Kobus
 Bensch Trustpay Global
  LTD
email
 signature
    
   Kobus
 Bensch
  
    
    Senior Systems
Administrator
 
 
        Address:  22 & 24
 | Frederick Sanger Road |
 
Guildford |
 Surrey
    
   | GU2 7YD
  
  
 
    DDI:  0207 871 3958
  
        Tel:  0207
871 3890
  
    
    Email:  kobus.bensch@trustpayglobal.com
  
        
      
    
  
  Trustpay Global Limited
is an
 
 authorised
Electronic Money Institution regulated by

the
Financial Conduct Authority
registration
number 900043.
Company No
07427913
Registered in England and Wales
with

 registered address
130 Wood Street, London, EC2V 6DL,

United
  Kingdom.For further details
please
 visit our
  website
at
 www.trustpayglobal.com.The

information
in this email and
any attachments are
confidential and remain
the property of
Trustpay Global Ltd unless

agreed by contract. It is
  intended
solely
 for the person to whom or the entity
to
 
 which it is addressed.
If you are not the intended
 recipient
  you may not use, disclose, copy,
 distribute, print or rely
 
on the content of
 this email or its
attachments. If this
 

email has been received by you in error

please advise the
sender and delete the email from your
system.
Trustpay
Global
Ltd does not accept any
liability for any
personal
view expressed

in this
 
message.

   
   


     Kobus Bensch Trustpay Global

LTD email signature
Kobus Bensch

     Senior Systems Administrator

     Address:  22 & 24 |

Frederick Sanger Road |
Guildford | Surrey
| GU2 7YD

     DDI:  0207 871 3958

     Tel:  0207 871 3890

     Email:  kobus.bensch@trustpayglobal.com

Trustpay Global Limited is an
authorised Electronic Money Institution regulated by
the
Financial Conduct Authority registration number
900043.
Company No 07427913 Registered in England and Wales
with
registered address 130 Wood Street, London, EC2V
6DL,
United
Kingdom.For further details please visit our
website at www.trustpayglobal.com.The
information in this email and
any attachments are confidential and remain the
property of
Trustpay Global Ltd unless agreed by contract. It is
intended solely for the person to whom or the entity
to
which it is addressed. If you are not the intended
recipient
you may not use, disclose, copy, distribute, print or
rely
on the content of this email or its attachments. If
this
email has been received by you in error please advise
the
sender and delete the email from your system.
Trustpay
Global Ltd does not accept any liability for any
personal
view expressed in this
message.

    Kobus Bensch Trustpay

Global
LTD email signature
Kobus Bensch

    Senior Systems

Administrator

    Address:  22 & 24 |

Frederick Sanger Road |
Guildford | Surrey
| GU2 7YD

    DDI:  0207 871 3958

    Tel:  0207 871 3890

    Email:  kobus.bensch@trustpayglobal.com

Trustpay Global Limited is an
authorised Electronic Money Institution regulated by the
Financial Conduct Authority registration number 900043.
Company No 07427913 Registered in England and Wales with
registered address 130 Wood Street, London, EC2V 6DL,
United
Kingdom.For further details please visit our
website at www.trustpayglobal.com.The information in this
email and
any attachments are confidential and remain the property
of
Trustpay Global Ltd unless agreed by contract. It is
intended solely for the person to whom or the entity to
which it is addressed. If you are not the intended
recipient
you may not use, disclose, copy, distribute, print or rely
on the content of this email or its attachments. If this
email has been received by you in error please advise the
sender and delete the email from your system. Trustpay
Global Ltd does not accept any liability for any personal
view expressed in this
message.